
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_sede' + iSeqRow).bind('blur', function() { sc_Procesos_sede_onblur(this, iSeqRow) })
                                  .bind('change', function() { sc_Procesos_sede_onchange(this, iSeqRow) })
                                  .bind('focus', function() { sc_Procesos_sede_onfocus(this, iSeqRow) });
  $('#id_sc_field_jornads' + iSeqRow).bind('blur', function() { sc_Procesos_jornads_onblur(this, iSeqRow) })
                                     .bind('change', function() { sc_Procesos_jornads_onchange(this, iSeqRow) })
                                     .bind('focus', function() { sc_Procesos_jornads_onfocus(this, iSeqRow) });
  $('#id_sc_field_grado' + iSeqRow).bind('blur', function() { sc_Procesos_grado_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_Procesos_grado_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_Procesos_grado_onfocus(this, iSeqRow) });
  $('#id_sc_field_grupo' + iSeqRow).bind('blur', function() { sc_Procesos_grupo_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_Procesos_grupo_onfocus(this, iSeqRow) });
  $('#id_sc_field_periodo' + iSeqRow).bind('blur', function() { sc_Procesos_periodo_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_Procesos_periodo_onfocus(this, iSeqRow) });
  $('#id_sc_field_tipo_proceso' + iSeqRow).bind('blur', function() { sc_Procesos_tipo_proceso_onblur(this, iSeqRow) })
                                          .bind('focus', function() { sc_Procesos_tipo_proceso_onfocus(this, iSeqRow) });
  $('#id_sc_field_codigo' + iSeqRow).bind('blur', function() { sc_Procesos_codigo_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_Procesos_codigo_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_Procesos_sede_onblur(oThis, iSeqRow) {
  do_ajax_Procesos_validate_sede();
  scCssBlur(oThis);
}

function sc_Procesos_sede_onchange(oThis, iSeqRow) {
  do_ajax_Procesos_refresh_sede();
}

function sc_Procesos_sede_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_Procesos_jornads_onblur(oThis, iSeqRow) {
  do_ajax_Procesos_validate_jornads();
  scCssBlur(oThis);
}

function sc_Procesos_jornads_onchange(oThis, iSeqRow) {
  do_ajax_Procesos_refresh_jornads();
}

function sc_Procesos_jornads_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_Procesos_grado_onblur(oThis, iSeqRow) {
  do_ajax_Procesos_validate_grado();
  scCssBlur(oThis);
}

function sc_Procesos_grado_onchange(oThis, iSeqRow) {
  do_ajax_Procesos_refresh_grado();
}

function sc_Procesos_grado_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_Procesos_grupo_onblur(oThis, iSeqRow) {
  do_ajax_Procesos_validate_grupo();
  scCssBlur(oThis);
}

function sc_Procesos_grupo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_Procesos_periodo_onblur(oThis, iSeqRow) {
  do_ajax_Procesos_validate_periodo();
  scCssBlur(oThis);
}

function sc_Procesos_periodo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_Procesos_tipo_proceso_onblur(oThis, iSeqRow) {
  do_ajax_Procesos_validate_tipo_proceso();
  scCssBlur(oThis);
}

function sc_Procesos_tipo_proceso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_Procesos_codigo_onblur(oThis, iSeqRow) {
  do_ajax_Procesos_validate_codigo();
  scCssBlur(oThis);
}

function sc_Procesos_codigo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

