
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_grupo' + iSeqRow).bind('blur', function() { sc_R_boletines_grupo_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_R_boletines_grupo_onfocus(this, iSeqRow) });
  $('#id_sc_field_ctipo' + iSeqRow).bind('blur', function() { sc_R_boletines_ctipo_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_R_boletines_ctipo_onfocus(this, iSeqRow) });
  $('#id_sc_field_informe' + iSeqRow).bind('blur', function() { sc_R_boletines_informe_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_R_boletines_informe_onfocus(this, iSeqRow) });
  $('#id_sc_field_sede' + iSeqRow).bind('blur', function() { sc_R_boletines_sede_onblur(this, iSeqRow) })
                                  .bind('change', function() { sc_R_boletines_sede_onchange(this, iSeqRow) })
                                  .bind('focus', function() { sc_R_boletines_sede_onfocus(this, iSeqRow) });
  $('#id_sc_field_jornada' + iSeqRow).bind('blur', function() { sc_R_boletines_jornada_onblur(this, iSeqRow) })
                                     .bind('change', function() { sc_R_boletines_jornada_onchange(this, iSeqRow) })
                                     .bind('focus', function() { sc_R_boletines_jornada_onfocus(this, iSeqRow) });
  $('#id_sc_field_grado' + iSeqRow).bind('blur', function() { sc_R_boletines_grado_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_R_boletines_grado_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_R_boletines_grado_onfocus(this, iSeqRow) });
  $('#id_sc_field_proceso' + iSeqRow).bind('blur', function() { sc_R_boletines_proceso_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_R_boletines_proceso_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_R_boletines_grupo_onblur(oThis, iSeqRow) {
  do_ajax_R_boletines_validate_grupo();
  scCssBlur(oThis);
}

function sc_R_boletines_grupo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_R_boletines_ctipo_onblur(oThis, iSeqRow) {
  do_ajax_R_boletines_validate_ctipo();
  scCssBlur(oThis);
}

function sc_R_boletines_ctipo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_R_boletines_informe_onblur(oThis, iSeqRow) {
  do_ajax_R_boletines_validate_informe();
  scCssBlur(oThis);
}

function sc_R_boletines_informe_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_R_boletines_sede_onblur(oThis, iSeqRow) {
  do_ajax_R_boletines_validate_sede();
  scCssBlur(oThis);
}

function sc_R_boletines_sede_onchange(oThis, iSeqRow) {
  do_ajax_R_boletines_refresh_sede();
}

function sc_R_boletines_sede_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_R_boletines_jornada_onblur(oThis, iSeqRow) {
  do_ajax_R_boletines_validate_jornada();
  scCssBlur(oThis);
}

function sc_R_boletines_jornada_onchange(oThis, iSeqRow) {
  do_ajax_R_boletines_refresh_jornada();
}

function sc_R_boletines_jornada_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_R_boletines_grado_onblur(oThis, iSeqRow) {
  do_ajax_R_boletines_validate_grado();
  scCssBlur(oThis);
}

function sc_R_boletines_grado_onchange(oThis, iSeqRow) {
  do_ajax_R_boletines_refresh_grado();
}

function sc_R_boletines_grado_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_R_boletines_proceso_onblur(oThis, iSeqRow) {
  do_ajax_R_boletines_validate_proceso();
  scCssBlur(oThis);
}

function sc_R_boletines_proceso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

