
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_grupo' + iSeqRow).bind('blur', function() { sc_estadisticas_docente_grupo_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_estadisticas_docente_grupo_onfocus(this, iSeqRow) });
  $('#id_sc_field_periodo' + iSeqRow).bind('blur', function() { sc_estadisticas_docente_periodo_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_estadisticas_docente_periodo_onfocus(this, iSeqRow) });
  $('#id_sc_field_informe' + iSeqRow).bind('blur', function() { sc_estadisticas_docente_informe_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_estadisticas_docente_informe_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_estadisticas_docente_grupo_onblur(oThis, iSeqRow) {
  do_ajax_estadisticas_docente_validate_grupo();
  scCssBlur(oThis);
}

function sc_estadisticas_docente_grupo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_estadisticas_docente_periodo_onblur(oThis, iSeqRow) {
  do_ajax_estadisticas_docente_validate_periodo();
  scCssBlur(oThis);
}

function sc_estadisticas_docente_periodo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_estadisticas_docente_informe_onblur(oThis, iSeqRow) {
  do_ajax_estadisticas_docente_validate_informe();
  scCssBlur(oThis);
}

function sc_estadisticas_docente_informe_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

