
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

  $('#sc-ui-checkbox-todos-control').click(function() { scJQCheckboxControl('todos', '__ALL__', this); });

  $('.sc-ui-checkbox-all-all').click(function() { scJQCheckboxControl('__ALL__', '__ALL__', this); });
  $('.sc-ui-checkbox-record-all').click(function() { scJQCheckboxControl('__ALL__', '__REC__', this); });

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_id' + iSeqRow).bind('blur', function() { sc_form_calificacion_final_id_onblur(this, iSeqRow) })
                                .bind('focus', function() { sc_form_calificacion_final_id_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_alumno' + iSeqRow).bind('blur', function() { sc_form_calificacion_final_id_alumno_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_calificacion_final_id_alumno_onfocus(this, iSeqRow) });
  $('#id_sc_field_nota_acu_periodo_final' + iSeqRow).bind('blur', function() { sc_form_calificacion_final_nota_acu_periodo_final_onblur(this, iSeqRow) })
                                                    .bind('focus', function() { sc_form_calificacion_final_nota_acu_periodo_final_onfocus(this, iSeqRow) });
  $('#id_sc_field_cantidad' + iSeqRow).bind('blur', function() { sc_form_calificacion_final_cantidad_onblur(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_calificacion_final_cantidad_onfocus(this, iSeqRow) });
  $('#id_sc_field_curso' + iSeqRow).bind('blur', function() { sc_form_calificacion_final_curso_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_calificacion_final_curso_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_calificacion_final_curso_onfocus(this, iSeqRow) });
  $('#id_sc_field_escala' + iSeqRow).bind('blur', function() { sc_form_calificacion_final_escala_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_calificacion_final_escala_onfocus(this, iSeqRow) });
  $('#id_sc_field_estudiante' + iSeqRow).bind('blur', function() { sc_form_calificacion_final_estudiante_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_calificacion_final_estudiante_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_calificacion_final_estudiante_onfocus(this, iSeqRow) });
  $('#id_sc_field_notam' + iSeqRow).bind('blur', function() { sc_form_calificacion_final_notam_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_calificacion_final_notam_onfocus(this, iSeqRow) });
  $('#id_sc_field_todos' + iSeqRow).bind('blur', function() { sc_form_calificacion_final_todos_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_calificacion_final_todos_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_calificacion_final_id_onblur(oThis, iSeqRow) {
  do_ajax_form_calificacion_final_validate_id(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_calificacion_final_id_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_calificacion_final_id_alumno_onblur(oThis, iSeqRow) {
  do_ajax_form_calificacion_final_validate_id_alumno(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_calificacion_final_id_alumno_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_calificacion_final_nota_acu_periodo_final_onblur(oThis, iSeqRow) {
  do_ajax_form_calificacion_final_validate_nota_acu_periodo_final(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_calificacion_final_nota_acu_periodo_final_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_calificacion_final_cantidad_onblur(oThis, iSeqRow) {
  do_ajax_form_calificacion_final_validate_cantidad(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_calificacion_final_cantidad_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_calificacion_final_curso_onblur(oThis, iSeqRow) {
  do_ajax_form_calificacion_final_validate_curso(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_calificacion_final_curso_onchange(oThis, iSeqRow) {
  lookup_curso(iSeqRow);
}

function sc_form_calificacion_final_curso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_calificacion_final_escala_onblur(oThis, iSeqRow) {
  do_ajax_form_calificacion_final_validate_escala(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_calificacion_final_escala_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_calificacion_final_estudiante_onblur(oThis, iSeqRow) {
  do_ajax_form_calificacion_final_validate_estudiante(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_calificacion_final_estudiante_onchange(oThis, iSeqRow) {
  lookup_estudiante(iSeqRow);
}

function sc_form_calificacion_final_estudiante_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_calificacion_final_notam_onblur(oThis, iSeqRow) {
  do_ajax_form_calificacion_final_validate_notam(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_calificacion_final_notam_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_calificacion_final_todos_onblur(oThis, iSeqRow) {
  do_ajax_form_calificacion_final_validate_todos(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_calificacion_final_todos_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

var sc_jq_calendar_value = {};

function scJQCalendarAdd(iSeqRow) {
  $("#id_sc_field_fecha" + iSeqRow).datepicker({
    beforeShow: function(input, inst) {
      var $oField = $(this),
          aParts  = $oField.val().split(" "),
          sTime   = "";
      sc_jq_calendar_value["#id_sc_field_fecha" + iSeqRow] = $oField.val();
      if (2 == aParts.length) {
        sTime = " " + aParts[1];
      }
      if ('' == sTime || ' ' == sTime) {
        sTime = ' <?php echo $this->jqueryCalendarTimeStart($this->field_config['fecha']['date_format']); ?>';
      }
      $oField.datepicker("option", "dateFormat", "<?php echo $this->jqueryCalendarDtFormat("" . str_replace(array('/', 'aaaa', 'hh', 'ii', 'ss', ':', ';', $_SESSION['scriptcase']['reg_conf']['date_sep'], $_SESSION['scriptcase']['reg_conf']['time_sep']), array('', 'yyyy', '','','', '', '', '', ''), $this->field_config['fecha']['date_format']) . "", "" . $_SESSION['scriptcase']['reg_conf']['date_sep'] . ""); ?>" + sTime);
    },
    onClose: function(dateText, inst) {
    },
    showWeek: true,
    numberOfMonths: 1,
    changeMonth: true,
    changeYear: true,
    yearRange: 'c-5:c+5',
    dayNames: ['<?php        echo html_entity_decode($this->Ini->Nm_lang['lang_days_sund']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_mond']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_tued']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_wend']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_thud']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_frid']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_satd']);        ?>'],
    dayNamesMin: ['<?php     echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_sund']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_mond']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_tued']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_wend']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_thud']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_frid']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_satd']); ?>'],
    monthNamesShort: ['<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_janu']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_febr']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_marc']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_apri']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_mayy']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_june']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_july']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_augu']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_sept']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_octo']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_nove']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_dece']); ?>'],
    weekHeader: "<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_days_sem']); ?>",
    firstDay: <?php echo $this->jqueryCalendarWeekInit("" . $_SESSION['scriptcase']['reg_conf']['date_week_ini'] . ""); ?>,
    dateFormat: "<?php echo $this->jqueryCalendarDtFormat("" . str_replace(array('/', 'aaaa', 'hh', 'ii', 'ss', ':', ';', $_SESSION['scriptcase']['reg_conf']['date_sep'], $_SESSION['scriptcase']['reg_conf']['time_sep']), array('', 'yyyy', '','','', '', '', '', ''), $this->field_config['fecha']['date_format']) . "", "" . $_SESSION['scriptcase']['reg_conf']['date_sep'] . ""); ?>",
    showOtherMonths: true,
    showOn: "button",
    buttonImage: "<?php echo $this->jqueryIconFile('calendar'); ?>",
    buttonImageOnly: true
  });

} // scJQCalendarAdd


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
  scJQCalendarAdd(iLine);
} // scJQElementsAdd

function scJQCheckboxControl(sColumn, sSeqRow, oCheckbox) {
  var iSeqRow = '';

  if ('__ALL__' == sColumn || 'todos' == sColumn) {
    iSeqRow = ('__REC__' == sSeqRow) ? $(oCheckbox).attr('alt') : '';
    scJQCheckboxControl_todos(iSeqRow, oCheckbox.checked);
    if ('__REC__' == sSeqRow) {
      nm_check_insert(iSeqRow);
    }
    else {
      if ('__ALL__' == sColumn || 'todos' == sColumn) {
         for (var i = 1; i <= iAjaxNewLine; i++) {
           nm_check_insert(i);
         }
      }
    }
    if ('__ALL__' == sColumn && '__ALL__' == sSeqRow) {
      var $oCheckbox = $(".sc-ui-checkbox-record-all");
      for (var i = 0; i < $oCheckbox.length; i++) {
        if (oCheckbox.checked != $oCheckbox[i].checked) {
          $oCheckbox[i].checked = oCheckbox.checked;
        }
      }
    }
  }

} // scJQCheckboxControl

function scJQCheckboxControl_todos(iSeqRow, bChecked) {
  if ('__ALL__' == iSeqRow) {
    var $oCheckbox = $(".sc-ui-checkbox-todos");
  }
  else {
    var $oCheckbox = $(".sc-ui-checkbox-todos" + iSeqRow);
  }

  var bChanged = false;
  for (var i = 0; i < $oCheckbox.length; i++) {
    if (bChecked != $oCheckbox[i].checked && !$oCheckbox[i].disabled) {
      $oCheckbox[i].checked = bChecked;
      nm_check_insert(iSeqRow);
      bChanged = true;
    }
  }
} // scJQCheckboxControl_todos

