
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_id' + iSeqRow).bind('blur', function() { sc_form_callogros_digitador_id_onblur(this, iSeqRow) })
                                .bind('focus', function() { sc_form_callogros_digitador_id_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_alumno' + iSeqRow).bind('blur', function() { sc_form_callogros_digitador_id_alumno_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_callogros_digitador_id_alumno_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_logro' + iSeqRow).bind('blur', function() { sc_form_callogros_digitador_id_logro_onblur(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_callogros_digitador_id_logro_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_matcurso' + iSeqRow).bind('blur', function() { sc_form_callogros_digitador_id_matcurso_onblur(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_callogros_digitador_id_matcurso_onfocus(this, iSeqRow) });
  $('#id_sc_field_idperiodo' + iSeqRow).bind('blur', function() { sc_form_callogros_digitador_idperiodo_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_callogros_digitador_idperiodo_onfocus(this, iSeqRow) });
  $('#id_sc_field_aplica' + iSeqRow).bind('blur', function() { sc_form_callogros_digitador_aplica_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_callogros_digitador_aplica_onfocus(this, iSeqRow) });
  $('#id_sc_field_estudiante' + iSeqRow).bind('blur', function() { sc_form_callogros_digitador_estudiante_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_callogros_digitador_estudiante_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_callogros_digitador_estudiante_onfocus(this, iSeqRow) });
  $('#id_sc_field_nota' + iSeqRow).bind('blur', function() { sc_form_callogros_digitador_nota_onblur(this, iSeqRow) })
                                  .bind('change', function() { sc_form_callogros_digitador_nota_onchange(this, iSeqRow) })
                                  .bind('focus', function() { sc_form_callogros_digitador_nota_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_callogros_digitador_id_onblur(oThis, iSeqRow) {
  do_ajax_form_callogros_digitador_validate_id(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_callogros_digitador_id_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_callogros_digitador_id_alumno_onblur(oThis, iSeqRow) {
  do_ajax_form_callogros_digitador_validate_id_alumno(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_callogros_digitador_id_alumno_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_callogros_digitador_id_logro_onblur(oThis, iSeqRow) {
  do_ajax_form_callogros_digitador_validate_id_logro(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_callogros_digitador_id_logro_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_callogros_digitador_id_matcurso_onblur(oThis, iSeqRow) {
  do_ajax_form_callogros_digitador_validate_id_matcurso(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_callogros_digitador_id_matcurso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_callogros_digitador_idperiodo_onblur(oThis, iSeqRow) {
  do_ajax_form_callogros_digitador_validate_idperiodo(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_callogros_digitador_idperiodo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_callogros_digitador_aplica_onblur(oThis, iSeqRow) {
  do_ajax_form_callogros_digitador_validate_aplica(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_callogros_digitador_aplica_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_callogros_digitador_estudiante_onblur(oThis, iSeqRow) {
  do_ajax_form_callogros_digitador_validate_estudiante(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_callogros_digitador_estudiante_onchange(oThis, iSeqRow) {
  lookup_estudiante(iSeqRow);
}

function sc_form_callogros_digitador_estudiante_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_callogros_digitador_nota_onblur(oThis, iSeqRow) {
  do_ajax_form_callogros_digitador_validate_nota(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_callogros_digitador_nota_onchange(oThis, iSeqRow) {
  lookup_nota(iSeqRow);
}

function sc_form_callogros_digitador_nota_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

