
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_id_matricula' + iSeqRow).bind('blur', function() { sc_form_carnet_id_matricula_onblur(this, iSeqRow) })
                                          .bind('focus', function() { sc_form_carnet_id_matricula_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_curso' + iSeqRow).bind('blur', function() { sc_form_carnet_id_curso_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_carnet_id_curso_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_carnet_id_curso_onfocus(this, iSeqRow) });
  $('#id_sc_field_foto' + iSeqRow).bind('blur', function() { sc_form_carnet_foto_onblur(this, iSeqRow) })
                                  .bind('focus', function() { sc_form_carnet_foto_onfocus(this, iSeqRow) });
  $('#id_sc_field_estudiante' + iSeqRow).bind('blur', function() { sc_form_carnet_estudiante_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_carnet_estudiante_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_carnet_estudiante_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_carnet_id_matricula_onblur(oThis, iSeqRow) {
  do_ajax_form_carnet_validate_id_matricula(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_carnet_id_matricula_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_carnet_id_curso_onblur(oThis, iSeqRow) {
  do_ajax_form_carnet_validate_id_curso(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_carnet_id_curso_onchange(oThis, iSeqRow) {
  do_ajax_form_carnet_refresh_id_curso(iSeqRow);
  lookup_id_curso(iSeqRow);
}

function sc_form_carnet_id_curso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_carnet_foto_onblur(oThis, iSeqRow) {
  do_ajax_form_carnet_validate_foto(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_carnet_foto_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_carnet_estudiante_onblur(oThis, iSeqRow) {
  do_ajax_form_carnet_validate_estudiante(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_carnet_estudiante_onchange(oThis, iSeqRow) {
  lookup_estudiante(iSeqRow);
}

function sc_form_carnet_estudiante_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

