
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_codigo' + iSeqRow).bind('blur', function() { sc_form_jornadas_codigo_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_jornadas_codigo_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_jornadas_codigo_onfocus(this, iSeqRow) });
  $('#id_sc_field_jornada' + iSeqRow).bind('blur', function() { sc_form_jornadas_jornada_onblur(this, iSeqRow) })
                                     .bind('change', function() { sc_form_jornadas_jornada_onchange(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_jornadas_jornada_onfocus(this, iSeqRow) });
  $('#id_sc_field_cor_disciplina' + iSeqRow).bind('blur', function() { sc_form_jornadas_cor_disciplina_onblur(this, iSeqRow) })
                                            .bind('change', function() { sc_form_jornadas_cor_disciplina_onchange(this, iSeqRow) })
                                            .bind('focus', function() { sc_form_jornadas_cor_disciplina_onfocus(this, iSeqRow) });
  $('#id_sc_field_cor_academico' + iSeqRow).bind('blur', function() { sc_form_jornadas_cor_academico_onblur(this, iSeqRow) })
                                           .bind('change', function() { sc_form_jornadas_cor_academico_onchange(this, iSeqRow) })
                                           .bind('focus', function() { sc_form_jornadas_cor_academico_onfocus(this, iSeqRow) });
  $('#id_sc_field_cor_general' + iSeqRow).bind('blur', function() { sc_form_jornadas_cor_general_onblur(this, iSeqRow) })
                                         .bind('change', function() { sc_form_jornadas_cor_general_onchange(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_jornadas_cor_general_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_jornadas_codigo_onblur(oThis, iSeqRow) {
  do_ajax_form_jornadas_validate_codigo(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_jornadas_codigo_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_jornadas_codigo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_jornadas_jornada_onblur(oThis, iSeqRow) {
  do_ajax_form_jornadas_validate_jornada(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_jornadas_jornada_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_jornadas_jornada_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_jornadas_cor_disciplina_onblur(oThis, iSeqRow) {
  do_ajax_form_jornadas_validate_cor_disciplina(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_jornadas_cor_disciplina_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_jornadas_cor_disciplina_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_jornadas_cor_academico_onblur(oThis, iSeqRow) {
  do_ajax_form_jornadas_validate_cor_academico(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_jornadas_cor_academico_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_jornadas_cor_academico_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_jornadas_cor_general_onblur(oThis, iSeqRow) {
  do_ajax_form_jornadas_validate_cor_general(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_jornadas_cor_general_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_jornadas_cor_general_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

