
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_id_curso' + iSeqRow).bind('blur', function() { sc_form_matgrado_id_curso_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_matgrado_id_curso_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_matgrado_id_curso_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_materia' + iSeqRow).bind('blur', function() { sc_form_matgrado_id_materia_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_matgrado_id_materia_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_matgrado_id_materia_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_docente' + iSeqRow).bind('blur', function() { sc_form_matgrado_id_docente_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_matgrado_id_docente_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_matgrado_id_docente_onfocus(this, iSeqRow) });
  $('#id_sc_field_horas' + iSeqRow).bind('blur', function() { sc_form_matgrado_horas_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_matgrado_horas_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_matgrado_horas_onfocus(this, iSeqRow) });
  $('#id_sc_field_valor' + iSeqRow).bind('blur', function() { sc_form_matgrado_valor_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_matgrado_valor_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_matgrado_valor_onfocus(this, iSeqRow) });
  $('#id_sc_field_subgrupo' + iSeqRow).bind('blur', function() { sc_form_matgrado_subgrupo_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_matgrado_subgrupo_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_matgrado_subgrupo_onfocus(this, iSeqRow) });
  $('#id_sc_field_creditos' + iSeqRow).bind('blur', function() { sc_form_matgrado_creditos_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_matgrado_creditos_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_matgrado_creditos_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_matgrado_id_curso_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_validate_id_curso(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_id_curso_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_id_curso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_id_materia_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_validate_id_materia(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_id_materia_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_id_materia_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_id_docente_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_validate_id_docente(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_id_docente_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_id_docente_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_horas_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_validate_horas(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_horas_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_horas_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_valor_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_validate_valor(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_valor_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_valor_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_subgrupo_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_validate_subgrupo(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_subgrupo_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_subgrupo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_creditos_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_validate_creditos(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_creditos_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_creditos_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

