
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_idmatcurso' + iSeqRow).bind('blur', function() { sc_form_tb_logros_idmatcurso_onblur(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_tb_logros_idmatcurso_onfocus(this, iSeqRow) });
  $('#id_sc_field_id' + iSeqRow).bind('blur', function() { sc_form_tb_logros_id_onblur(this, iSeqRow) })
                                .bind('change', function() { sc_form_tb_logros_id_onchange(this, iSeqRow) })
                                .bind('focus', function() { sc_form_tb_logros_id_onfocus(this, iSeqRow) });
  $('#id_sc_field_cmp_sm_link_tab' + iSeqRow).bind('blur', function() { sc_form_tb_logros_cmp_sm_link_tab_onblur(this, iSeqRow) })
                                             .bind('focus', function() { sc_form_tb_logros_cmp_sm_link_tab_onfocus(this, iSeqRow) });
  $('#id_sc_field_observacion' + iSeqRow).bind('blur', function() { sc_form_tb_logros_observacion_onblur(this, iSeqRow) })
                                         .bind('change', function() { sc_form_tb_logros_observacion_onchange(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_tb_logros_observacion_onfocus(this, iSeqRow) });
  $('#id_sc_field_periodo' + iSeqRow).bind('blur', function() { sc_form_tb_logros_periodo_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_tb_logros_periodo_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_tb_logros_idmatcurso_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_logros_validate_idmatcurso();
  scCssBlur(oThis);
}

function sc_form_tb_logros_idmatcurso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_logros_id_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_logros_validate_id();
  scCssBlur(oThis);
}

function sc_form_tb_logros_id_onchange(oThis, iSeqRow) {
  do_ajax_form_tb_logros_refresh_id();
}

function sc_form_tb_logros_id_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_logros_cmp_sm_link_tab_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_logros_validate_cmp_sm_link_tab();
  scCssBlur(oThis);
}

function sc_form_tb_logros_cmp_sm_link_tab_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_logros_observacion_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_logros_validate_observacion();
  scCssBlur(oThis);
}

function sc_form_tb_logros_observacion_onchange(oThis, iSeqRow) {
  do_ajax_form_tb_logros_refresh_observacion();
  do_ajax_form_tb_logros_event_observacion_onchange();
}

function sc_form_tb_logros_observacion_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_logros_periodo_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_logros_validate_periodo();
  scCssBlur(oThis);
}

function sc_form_tb_logros_periodo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

