
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_grupo' + iSeqRow).bind('blur', function() { sc_r_promocion_grupo_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_r_promocion_grupo_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_r_promocion_grupo_onfocus(this, iSeqRow) });
  $('#id_sc_field_estudiante' + iSeqRow).bind('blur', function() { sc_r_promocion_estudiante_onblur(this, iSeqRow) })
                                        .bind('focus', function() { sc_r_promocion_estudiante_onfocus(this, iSeqRow) });
  $('#id_sc_field_actual' + iSeqRow).bind('blur', function() { sc_r_promocion_actual_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_r_promocion_actual_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_r_promocion_actual_onfocus(this, iSeqRow) });
  $('#id_sc_field_promosion' + iSeqRow).bind('blur', function() { sc_r_promocion_promosion_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_r_promocion_promosion_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_r_promocion_grupo_onblur(oThis, iSeqRow) {
  do_ajax_r_promocion_validate_grupo();
  scCssBlur(oThis);
}

function sc_r_promocion_grupo_onchange(oThis, iSeqRow) {
  do_ajax_r_promocion_refresh_grupo();
  lookup_grupo();
}

function sc_r_promocion_grupo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_r_promocion_estudiante_onblur(oThis, iSeqRow) {
  do_ajax_r_promocion_validate_estudiante();
  scCssBlur(oThis);
}

function sc_r_promocion_estudiante_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_r_promocion_actual_onblur(oThis, iSeqRow) {
  do_ajax_r_promocion_validate_actual();
  scCssBlur(oThis);
}

function sc_r_promocion_actual_onchange(oThis, iSeqRow) {
  do_ajax_r_promocion_refresh_actual();
  nm_recarga_form('bloco_1', 0);
}

function sc_r_promocion_actual_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_r_promocion_promosion_onblur(oThis, iSeqRow) {
  do_ajax_r_promocion_validate_promosion();
  scCssBlur(oThis);
}

function sc_r_promocion_promosion_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

