
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_sede' + iSeqRow).bind('blur', function() { sc_estadisticas_sede_onblur(this, iSeqRow) })
                                  .bind('change', function() { sc_estadisticas_sede_onchange(this, iSeqRow) })
                                  .bind('focus', function() { sc_estadisticas_sede_onfocus(this, iSeqRow) });
  $('#id_sc_field_grados' + iSeqRow).bind('blur', function() { sc_estadisticas_grados_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_estadisticas_grados_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_estadisticas_grados_onfocus(this, iSeqRow) });
  $('#id_sc_field_informe' + iSeqRow).bind('blur', function() { sc_estadisticas_informe_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_estadisticas_informe_onfocus(this, iSeqRow) });
  $('#id_sc_field_periodo' + iSeqRow).bind('blur', function() { sc_estadisticas_periodo_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_estadisticas_periodo_onfocus(this, iSeqRow) });
  $('#id_sc_field_jornada' + iSeqRow).bind('blur', function() { sc_estadisticas_jornada_onblur(this, iSeqRow) })
                                     .bind('change', function() { sc_estadisticas_jornada_onchange(this, iSeqRow) })
                                     .bind('focus', function() { sc_estadisticas_jornada_onfocus(this, iSeqRow) });
  $('#id_sc_field_nivel' + iSeqRow).bind('blur', function() { sc_estadisticas_nivel_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_estadisticas_nivel_onfocus(this, iSeqRow) });
  $('#id_sc_field_grupo' + iSeqRow).bind('blur', function() { sc_estadisticas_grupo_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_estadisticas_grupo_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_estadisticas_sede_onblur(oThis, iSeqRow) {
  do_ajax_estadisticas_validate_sede();
  scCssBlur(oThis);
}

function sc_estadisticas_sede_onchange(oThis, iSeqRow) {
  do_ajax_estadisticas_refresh_sede();
}

function sc_estadisticas_sede_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_estadisticas_grados_onblur(oThis, iSeqRow) {
  do_ajax_estadisticas_validate_grados();
  scCssBlur(oThis);
}

function sc_estadisticas_grados_onchange(oThis, iSeqRow) {
  do_ajax_estadisticas_refresh_grados();
}

function sc_estadisticas_grados_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_estadisticas_informe_onblur(oThis, iSeqRow) {
  do_ajax_estadisticas_validate_informe();
  scCssBlur(oThis);
}

function sc_estadisticas_informe_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_estadisticas_periodo_onblur(oThis, iSeqRow) {
  do_ajax_estadisticas_validate_periodo();
  scCssBlur(oThis);
}

function sc_estadisticas_periodo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_estadisticas_jornada_onblur(oThis, iSeqRow) {
  do_ajax_estadisticas_validate_jornada();
  scCssBlur(oThis);
}

function sc_estadisticas_jornada_onchange(oThis, iSeqRow) {
  do_ajax_estadisticas_refresh_jornada();
}

function sc_estadisticas_jornada_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_estadisticas_nivel_onblur(oThis, iSeqRow) {
  do_ajax_estadisticas_validate_nivel();
  scCssBlur(oThis);
}

function sc_estadisticas_nivel_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_estadisticas_grupo_onblur(oThis, iSeqRow) {
  do_ajax_estadisticas_validate_grupo();
  scCssBlur(oThis);
}

function sc_estadisticas_grupo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

