
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_criterio' + iSeqRow).bind('blur', function() { sc_form_banco_criterio_criterio_onblur(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_banco_criterio_criterio_onfocus(this, iSeqRow) });
  $('#id_sc_field_valor' + iSeqRow).bind('blur', function() { sc_form_banco_criterio_valor_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_banco_criterio_valor_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_criterio' + iSeqRow).bind('blur', function() { sc_form_banco_criterio_id_criterio_onblur(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_banco_criterio_id_criterio_onfocus(this, iSeqRow) });
  $('#id_sc_field_idmateria' + iSeqRow).bind('blur', function() { sc_form_banco_criterio_idmateria_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_banco_criterio_idmateria_onfocus(this, iSeqRow) });
  $('#id_sc_field_idbanco2' + iSeqRow).bind('blur', function() { sc_form_banco_criterio_idbanco2_onblur(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_banco_criterio_idbanco2_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_banco_criterio_criterio_onblur(oThis, iSeqRow) {
  do_ajax_form_banco_criterio_validate_criterio();
  scCssBlur(oThis);
}

function sc_form_banco_criterio_criterio_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_banco_criterio_valor_onblur(oThis, iSeqRow) {
  do_ajax_form_banco_criterio_validate_valor();
  scCssBlur(oThis);
}

function sc_form_banco_criterio_valor_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_banco_criterio_id_criterio_onblur(oThis, iSeqRow) {
  do_ajax_form_banco_criterio_validate_id_criterio();
  scCssBlur(oThis);
}

function sc_form_banco_criterio_id_criterio_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_banco_criterio_idmateria_onblur(oThis, iSeqRow) {
  do_ajax_form_banco_criterio_validate_idmateria();
  scCssBlur(oThis);
}

function sc_form_banco_criterio_idmateria_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_banco_criterio_idbanco2_onblur(oThis, iSeqRow) {
  do_ajax_form_banco_criterio_validate_idbanco2();
  scCssBlur(oThis);
}

function sc_form_banco_criterio_idbanco2_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function scJQPopupAdd(iSeqRow) {
  $('.scFormPopupBubble' + iSeqRow).each(function () {
    var distance = 10;
    var time = 250;
    var hideDelay = 500;
    var hideDelayTimer = null;
    var beingShown = false;
    var shown = false;
    var trigger = $('.scFormPopupTrigger', this);
    var info = $('.scFormPopup', this).css('opacity', 0);
    $([trigger.get(0), info.get(0)]).mouseover(function () {
      if (hideDelayTimer) clearTimeout(hideDelayTimer);
      if (beingShown || shown) {
        // don't trigger the animation again
        return;
      } else {
        // reset position of info box
        beingShown = true;
        info.css({
          top: trigger.position().top - (info.height() - trigger.height()),
          left: trigger.position().left - ((info.width() - trigger.width()) / 2),
          display: 'block'
        }).animate({
          top: '-=' + distance + 'px',
          opacity: 1
        }, time, 'swing', function() {
          beingShown = false;
          shown = true;
        });
      }
      return false;
      }).mouseout(function () {
      if (hideDelayTimer) clearTimeout(hideDelayTimer);
      hideDelayTimer = setTimeout(function () {
        hideDelayTimer = null;
        info.animate({
          top: '-=' + distance + 'px',
          opacity: 0
        }, time, 'swing', function () {
          shown = false;
          info.css('display', 'none');
        });
      }, hideDelay);
      return false;
    });
  });
} // scJQPopupAdd


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
  scJQPopupAdd(iLine);
} // scJQElementsAdd

