
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_codigo' + iSeqRow).bind('blur', function() { sc_form_escala_nacional_codigo_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_escala_nacional_codigo_onfocus(this, iSeqRow) });
  $('#id_sc_field_escala' + iSeqRow).bind('blur', function() { sc_form_escala_nacional_escala_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_escala_nacional_escala_onfocus(this, iSeqRow) });
  $('#id_sc_field_descripcion' + iSeqRow).bind('blur', function() { sc_form_escala_nacional_descripcion_onblur(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_escala_nacional_descripcion_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_escala_nacional_codigo_onblur(oThis, iSeqRow) {
  do_ajax_form_escala_nacional_validate_codigo();
  scCssBlur(oThis);
}

function sc_form_escala_nacional_codigo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_escala_nacional_escala_onblur(oThis, iSeqRow) {
  do_ajax_form_escala_nacional_validate_escala();
  scCssBlur(oThis);
}

function sc_form_escala_nacional_escala_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_escala_nacional_descripcion_onblur(oThis, iSeqRow) {
  do_ajax_form_escala_nacional_validate_descripcion();
  scCssBlur(oThis);
}

function sc_form_escala_nacional_descripcion_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

