
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_idescala' + iSeqRow).bind('blur', function() { sc_form_escala_niveles_idescala_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_escala_niveles_idescala_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_escala_niveles_idescala_onfocus(this, iSeqRow) });
  $('#id_sc_field_escala' + iSeqRow).bind('blur', function() { sc_form_escala_niveles_escala_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_escala_niveles_escala_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_escala_niveles_escala_onfocus(this, iSeqRow) });
  $('#id_sc_field_desde' + iSeqRow).bind('blur', function() { sc_form_escala_niveles_desde_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_escala_niveles_desde_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_escala_niveles_desde_onfocus(this, iSeqRow) });
  $('#id_sc_field_hasta' + iSeqRow).bind('blur', function() { sc_form_escala_niveles_hasta_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_escala_niveles_hasta_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_escala_niveles_hasta_onfocus(this, iSeqRow) });
  $('#id_sc_field_sigla' + iSeqRow).bind('blur', function() { sc_form_escala_niveles_sigla_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_escala_niveles_sigla_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_escala_niveles_sigla_onfocus(this, iSeqRow) });
  $('#id_sc_field_imagen' + iSeqRow).bind('blur', function() { sc_form_escala_niveles_imagen_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_escala_niveles_imagen_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_escala_niveles_imagen_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_escala_niveles_idescala_onblur(oThis, iSeqRow) {
  do_ajax_form_escala_niveles_validate_idescala(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_escala_niveles_idescala_onchange(oThis, iSeqRow) {
  lookup_idescala(iSeqRow);
  nm_check_insert(iSeqRow);
}

function sc_form_escala_niveles_idescala_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_escala_niveles_escala_onblur(oThis, iSeqRow) {
  do_ajax_form_escala_niveles_validate_escala(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_escala_niveles_escala_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_escala_niveles_escala_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_escala_niveles_desde_onblur(oThis, iSeqRow) {
  do_ajax_form_escala_niveles_validate_desde(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_escala_niveles_desde_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_escala_niveles_desde_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_escala_niveles_hasta_onblur(oThis, iSeqRow) {
  do_ajax_form_escala_niveles_validate_hasta(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_escala_niveles_hasta_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_escala_niveles_hasta_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_escala_niveles_sigla_onblur(oThis, iSeqRow) {
  do_ajax_form_escala_niveles_validate_sigla(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_escala_niveles_sigla_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_escala_niveles_sigla_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_escala_niveles_imagen_onblur(oThis, iSeqRow) {
  do_ajax_form_escala_niveles_validate_imagen(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_escala_niveles_imagen_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_escala_niveles_imagen_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

