
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_id_materia' + iSeqRow).bind('blur', function() { sc_form_matgrado_detalle_id_materia_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_matgrado_detalle_id_materia_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_matgrado_detalle_id_materia_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_docente' + iSeqRow).bind('blur', function() { sc_form_matgrado_detalle_id_docente_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_matgrado_detalle_id_docente_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_matgrado_detalle_id_docente_onfocus(this, iSeqRow) });
  $('#id_sc_field_horas' + iSeqRow).bind('blur', function() { sc_form_matgrado_detalle_horas_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_matgrado_detalle_horas_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_matgrado_detalle_horas_onfocus(this, iSeqRow) });
  $('#id_sc_field_valor' + iSeqRow).bind('blur', function() { sc_form_matgrado_detalle_valor_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_matgrado_detalle_valor_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_matgrado_detalle_valor_onfocus(this, iSeqRow) });
  $('#id_sc_field_lunes' + iSeqRow).bind('blur', function() { sc_form_matgrado_detalle_lunes_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_matgrado_detalle_lunes_onchange(this, iSeqRow) })
                                   .bind('click', function() { sc_form_matgrado_detalle_lunes_onclick(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_matgrado_detalle_lunes_onfocus(this, iSeqRow) });
  $('#id_sc_field_martes' + iSeqRow).bind('blur', function() { sc_form_matgrado_detalle_martes_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_matgrado_detalle_martes_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_matgrado_detalle_martes_onfocus(this, iSeqRow) });
  $('#id_sc_field_miercoles' + iSeqRow).bind('blur', function() { sc_form_matgrado_detalle_miercoles_onblur(this, iSeqRow) })
                                       .bind('change', function() { sc_form_matgrado_detalle_miercoles_onchange(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_matgrado_detalle_miercoles_onfocus(this, iSeqRow) });
  $('#id_sc_field_jueves' + iSeqRow).bind('blur', function() { sc_form_matgrado_detalle_jueves_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_matgrado_detalle_jueves_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_matgrado_detalle_jueves_onfocus(this, iSeqRow) });
  $('#id_sc_field_viernes' + iSeqRow).bind('blur', function() { sc_form_matgrado_detalle_viernes_onblur(this, iSeqRow) })
                                     .bind('change', function() { sc_form_matgrado_detalle_viernes_onchange(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_matgrado_detalle_viernes_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_matgrado_detalle_id_materia_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_detalle_validate_id_materia(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_id_materia_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_detalle_id_materia_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_id_docente_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_detalle_validate_id_docente(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_id_docente_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_detalle_id_docente_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_horas_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_detalle_validate_horas(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_horas_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_detalle_horas_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_valor_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_detalle_validate_valor(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_valor_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_detalle_valor_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_lunes_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_detalle_validate_lunes(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_lunes_onchange(oThis, iSeqRow) {
  do_ajax_form_matgrado_detalle_event_lunes_onchange(iSeqRow);
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_detalle_lunes_onclick(oThis, iSeqRow) {
  do_ajax_form_matgrado_detalle_event_lunes_onclick(iSeqRow);
}

function sc_form_matgrado_detalle_lunes_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_martes_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_detalle_validate_martes(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_martes_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_detalle_martes_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_miercoles_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_detalle_validate_miercoles(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_miercoles_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_detalle_miercoles_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_jueves_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_detalle_validate_jueves(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_jueves_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_detalle_jueves_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_viernes_onblur(oThis, iSeqRow) {
  do_ajax_form_matgrado_detalle_validate_viernes(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_matgrado_detalle_viernes_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_matgrado_detalle_viernes_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

