
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_id_curso' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_digitador_id_curso_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_tb_criterios_digitador_id_curso_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_tb_criterios_digitador_id_curso_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_materia' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_digitador_id_materia_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_tb_criterios_digitador_id_materia_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_tb_criterios_digitador_id_materia_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_jornada' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_digitador_id_jornada_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_tb_criterios_digitador_id_jornada_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_tb_criterios_digitador_id_jornada_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_grado' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_digitador_id_grado_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_tb_criterios_digitador_id_grado_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_tb_criterios_digitador_id_grado_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_sede' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_digitador_id_sede_onblur(this, iSeqRow) })
                                     .bind('change', function() { sc_form_tb_criterios_digitador_id_sede_onchange(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_tb_criterios_digitador_id_sede_onfocus(this, iSeqRow) });
  $('#id_sc_field_periodo' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_digitador_periodo_onblur(this, iSeqRow) })
                                     .bind('change', function() { sc_form_tb_criterios_digitador_periodo_onchange(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_tb_criterios_digitador_periodo_onfocus(this, iSeqRow) });
  $('#id_sc_field_criterio' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_digitador_criterio_onblur(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_tb_criterios_digitador_criterio_onfocus(this, iSeqRow) });
  $('#id_sc_field_logros' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_digitador_logros_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_tb_criterios_digitador_logros_onfocus(this, iSeqRow) });
  $('#id_sc_field_copia' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_digitador_copia_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_tb_criterios_digitador_copia_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_tb_criterios_digitador_id_curso_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_digitador_validate_id_curso();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_digitador_id_curso_onchange(oThis, iSeqRow) {
  lookup_id_curso();
}

function sc_form_tb_criterios_digitador_id_curso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_criterios_digitador_id_materia_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_digitador_validate_id_materia();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_digitador_id_materia_onchange(oThis, iSeqRow) {
  lookup_id_materia();
}

function sc_form_tb_criterios_digitador_id_materia_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_criterios_digitador_id_jornada_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_digitador_validate_id_jornada();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_digitador_id_jornada_onchange(oThis, iSeqRow) {
  lookup_id_jornada();
}

function sc_form_tb_criterios_digitador_id_jornada_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_criterios_digitador_id_grado_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_digitador_validate_id_grado();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_digitador_id_grado_onchange(oThis, iSeqRow) {
  lookup_id_grado();
}

function sc_form_tb_criterios_digitador_id_grado_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_criterios_digitador_id_sede_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_digitador_validate_id_sede();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_digitador_id_sede_onchange(oThis, iSeqRow) {
  lookup_id_sede();
}

function sc_form_tb_criterios_digitador_id_sede_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_criterios_digitador_periodo_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_digitador_validate_periodo();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_digitador_periodo_onchange(oThis, iSeqRow) {
  nm_recarga_form('bloco_0', 0);
}

function sc_form_tb_criterios_digitador_periodo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_criterios_digitador_criterio_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_digitador_validate_criterio();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_digitador_criterio_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_criterios_digitador_logros_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_digitador_validate_logros();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_digitador_logros_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_criterios_digitador_copia_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_digitador_validate_copia();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_digitador_copia_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

