
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_sede' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_grado_sede_onblur(this, iSeqRow) })
                                  .bind('focus', function() { sc_form_tb_criterios_grado_sede_onfocus(this, iSeqRow) });
  $('#id_sc_field_grado' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_grado_grado_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_tb_criterios_grado_grado_onfocus(this, iSeqRow) });
  $('#id_sc_field_criterios' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_grado_criterios_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_tb_criterios_grado_criterios_onfocus(this, iSeqRow) });
  $('#id_sc_field_copia' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_grado_copia_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_tb_criterios_grado_copia_onfocus(this, iSeqRow) });
  $('#id_sc_field_valor' + iSeqRow).bind('blur', function() { sc_form_tb_criterios_grado_valor_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_tb_criterios_grado_valor_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_tb_criterios_grado_sede_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_grado_validate_sede();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_grado_sede_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_criterios_grado_grado_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_grado_validate_grado();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_grado_grado_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_criterios_grado_criterios_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_grado_validate_criterios();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_grado_criterios_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_criterios_grado_copia_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_grado_validate_copia();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_grado_copia_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_criterios_grado_valor_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_criterios_grado_validate_valor();
  scCssBlur(oThis);
}

function sc_form_tb_criterios_grado_valor_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

