
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_code' + iSeqRow).bind('blur', function() { sc_form_tb_groups_code_onblur(this, iSeqRow) })
                                  .bind('focus', function() { sc_form_tb_groups_code_onfocus(this, iSeqRow) });
  $('#id_sc_field_description' + iSeqRow).bind('blur', function() { sc_form_tb_groups_description_onblur(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_tb_groups_description_onfocus(this, iSeqRow) });
  $('#id_sc_field_cmp_sm_link_tab' + iSeqRow).bind('blur', function() { sc_form_tb_groups_cmp_sm_link_tab_onblur(this, iSeqRow) })
                                             .bind('focus', function() { sc_form_tb_groups_cmp_sm_link_tab_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_tb_groups_code_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_groups_validate_code();
  scCssBlur(oThis);
}

function sc_form_tb_groups_code_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_groups_description_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_groups_validate_description();
  scCssBlur(oThis);
}

function sc_form_tb_groups_description_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_groups_cmp_sm_link_tab_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_groups_validate_cmp_sm_link_tab();
  scCssBlur(oThis);
}

function sc_form_tb_groups_cmp_sm_link_tab_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

