
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_tipo' + iSeqRow).bind('blur', function() { sc_obs_docentes_tipo_onblur(this, iSeqRow) })
                                  .bind('change', function() { sc_obs_docentes_tipo_onchange(this, iSeqRow) })
                                  .bind('focus', function() { sc_obs_docentes_tipo_onfocus(this, iSeqRow) });
  $('#id_sc_field_observa' + iSeqRow).bind('blur', function() { sc_obs_docentes_observa_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_obs_docentes_observa_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_obs_docentes_tipo_onblur(oThis, iSeqRow) {
  do_ajax_obs_docentes_validate_tipo();
  scCssBlur(oThis);
}

function sc_obs_docentes_tipo_onchange(oThis, iSeqRow) {
  do_ajax_obs_docentes_refresh_tipo();
}

function sc_obs_docentes_tipo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_obs_docentes_observa_onblur(oThis, iSeqRow) {
  do_ajax_obs_docentes_validate_observa();
  scCssBlur(oThis);
}

function sc_obs_docentes_observa_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

