
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_track_tickets' + iSeqRow).bind('blur', function() { sc_start_up_screen_track_tickets_onblur(this, iSeqRow) })
                                           .bind('focus', function() { sc_start_up_screen_track_tickets_onfocus(this, iSeqRow) });
  $('#id_sc_field_subscribers' + iSeqRow).bind('blur', function() { sc_start_up_screen_subscribers_onblur(this, iSeqRow) })
                                         .bind('focus', function() { sc_start_up_screen_subscribers_onfocus(this, iSeqRow) });
  $('#id_sc_field_staff_only' + iSeqRow).bind('blur', function() { sc_start_up_screen_staff_only_onblur(this, iSeqRow) })
                                        .bind('focus', function() { sc_start_up_screen_staff_only_onfocus(this, iSeqRow) });
  $('#id_sc_field_fld_message' + iSeqRow).bind('blur', function() { sc_start_up_screen_fld_message_onblur(this, iSeqRow) })
                                         .bind('focus', function() { sc_start_up_screen_fld_message_onfocus(this, iSeqRow) });
  $('#id_sc_field_open_ticket' + iSeqRow).bind('blur', function() { sc_start_up_screen_open_ticket_onblur(this, iSeqRow) })
                                         .bind('focus', function() { sc_start_up_screen_open_ticket_onfocus(this, iSeqRow) });
  $('#id_sc_field_tareas' + iSeqRow).bind('blur', function() { sc_start_up_screen_tareas_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_start_up_screen_tareas_onfocus(this, iSeqRow) });
  $('#id_sc_field_observador' + iSeqRow).bind('blur', function() { sc_start_up_screen_observador_onblur(this, iSeqRow) })
                                        .bind('focus', function() { sc_start_up_screen_observador_onfocus(this, iSeqRow) });
  $('#id_sc_field_tutorial' + iSeqRow).bind('blur', function() { sc_start_up_screen_tutorial_onblur(this, iSeqRow) })
                                      .bind('focus', function() { sc_start_up_screen_tutorial_onfocus(this, iSeqRow) });
  $('#id_sc_field_videos' + iSeqRow).bind('blur', function() { sc_start_up_screen_videos_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_start_up_screen_videos_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_start_up_screen_track_tickets_onblur(oThis, iSeqRow) {
  do_ajax_start_up_screen_validate_track_tickets();
  scCssBlur(oThis);
}

function sc_start_up_screen_track_tickets_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_start_up_screen_subscribers_onblur(oThis, iSeqRow) {
  do_ajax_start_up_screen_validate_subscribers();
  scCssBlur(oThis);
}

function sc_start_up_screen_subscribers_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_start_up_screen_staff_only_onblur(oThis, iSeqRow) {
  do_ajax_start_up_screen_validate_staff_only();
  scCssBlur(oThis);
}

function sc_start_up_screen_staff_only_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_start_up_screen_fld_message_onblur(oThis, iSeqRow) {
  do_ajax_start_up_screen_validate_fld_message();
  scCssBlur(oThis);
}

function sc_start_up_screen_fld_message_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_start_up_screen_open_ticket_onblur(oThis, iSeqRow) {
  do_ajax_start_up_screen_validate_open_ticket();
  scCssBlur(oThis);
}

function sc_start_up_screen_open_ticket_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_start_up_screen_tareas_onblur(oThis, iSeqRow) {
  do_ajax_start_up_screen_validate_tareas();
  scCssBlur(oThis);
}

function sc_start_up_screen_tareas_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_start_up_screen_observador_onblur(oThis, iSeqRow) {
  do_ajax_start_up_screen_validate_observador();
  scCssBlur(oThis);
}

function sc_start_up_screen_observador_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_start_up_screen_tutorial_onblur(oThis, iSeqRow) {
  do_ajax_start_up_screen_validate_tutorial();
  scCssBlur(oThis);
}

function sc_start_up_screen_tutorial_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_start_up_screen_videos_onblur(oThis, iSeqRow) {
  do_ajax_start_up_screen_validate_videos();
  scCssBlur(oThis);
}

function sc_start_up_screen_videos_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

