
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_codigo' + iSeqRow).bind('blur', function() { sc_form_docentes_codigo_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_docentes_codigo_onfocus(this, iSeqRow) });
  $('#id_sc_field_nombres' + iSeqRow).bind('blur', function() { sc_form_docentes_nombres_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_docentes_nombres_onfocus(this, iSeqRow) });
  $('#id_sc_field_apellidos' + iSeqRow).bind('blur', function() { sc_form_docentes_apellidos_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_docentes_apellidos_onfocus(this, iSeqRow) });
  $('#id_sc_field_documento' + iSeqRow).bind('blur', function() { sc_form_docentes_documento_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_docentes_documento_onfocus(this, iSeqRow) });
  $('#id_sc_field_direccion' + iSeqRow).bind('blur', function() { sc_form_docentes_direccion_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_docentes_direccion_onfocus(this, iSeqRow) });
  $('#id_sc_field_telefono' + iSeqRow).bind('blur', function() { sc_form_docentes_telefono_onblur(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_docentes_telefono_onfocus(this, iSeqRow) });
  $('#id_sc_field_cod_usuario' + iSeqRow).bind('blur', function() { sc_form_docentes_cod_usuario_onblur(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_docentes_cod_usuario_onfocus(this, iSeqRow) });
  $('#id_sc_field_cod_clave' + iSeqRow).bind('blur', function() { sc_form_docentes_cod_clave_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_docentes_cod_clave_onfocus(this, iSeqRow) });
  $('#id_sc_field_cargo' + iSeqRow).bind('blur', function() { sc_form_docentes_cargo_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_docentes_cargo_onfocus(this, iSeqRow) });
  $('#id_sc_field_email' + iSeqRow).bind('blur', function() { sc_form_docentes_email_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_docentes_email_onfocus(this, iSeqRow) });
  $('#id_sc_field_idtitulo' + iSeqRow).bind('blur', function() { sc_form_docentes_idtitulo_onblur(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_docentes_idtitulo_onfocus(this, iSeqRow) });
  $('#id_sc_field_foto' + iSeqRow).bind('blur', function() { sc_form_docentes_foto_onblur(this, iSeqRow) })
                                  .bind('focus', function() { sc_form_docentes_foto_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_docentes_codigo_onblur(oThis, iSeqRow) {
  do_ajax_form_docentes_validate_codigo();
  scCssBlur(oThis);
}

function sc_form_docentes_codigo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_docentes_nombres_onblur(oThis, iSeqRow) {
  do_ajax_form_docentes_validate_nombres();
  scCssBlur(oThis);
}

function sc_form_docentes_nombres_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_docentes_apellidos_onblur(oThis, iSeqRow) {
  do_ajax_form_docentes_validate_apellidos();
  scCssBlur(oThis);
}

function sc_form_docentes_apellidos_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_docentes_documento_onblur(oThis, iSeqRow) {
  do_ajax_form_docentes_validate_documento();
  scCssBlur(oThis);
}

function sc_form_docentes_documento_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_docentes_direccion_onblur(oThis, iSeqRow) {
  do_ajax_form_docentes_validate_direccion();
  scCssBlur(oThis);
}

function sc_form_docentes_direccion_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_docentes_telefono_onblur(oThis, iSeqRow) {
  do_ajax_form_docentes_validate_telefono();
  scCssBlur(oThis);
}

function sc_form_docentes_telefono_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_docentes_cod_usuario_onblur(oThis, iSeqRow) {
  do_ajax_form_docentes_validate_cod_usuario();
  scCssBlur(oThis);
}

function sc_form_docentes_cod_usuario_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_docentes_cod_clave_onblur(oThis, iSeqRow) {
  do_ajax_form_docentes_validate_cod_clave();
  scCssBlur(oThis);
}

function sc_form_docentes_cod_clave_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_docentes_cargo_onblur(oThis, iSeqRow) {
  do_ajax_form_docentes_validate_cargo();
  scCssBlur(oThis);
}

function sc_form_docentes_cargo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_docentes_email_onblur(oThis, iSeqRow) {
  do_ajax_form_docentes_validate_email();
  scCssBlur(oThis);
}

function sc_form_docentes_email_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_docentes_idtitulo_onblur(oThis, iSeqRow) {
  do_ajax_form_docentes_validate_idtitulo();
  scCssBlur(oThis);
}

function sc_form_docentes_idtitulo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_docentes_foto_onblur(oThis, iSeqRow) {
  do_ajax_form_docentes_validate_foto();
  scCssBlur(oThis);
}

function sc_form_docentes_foto_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

