
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_id_alumno' + iSeqRow).bind('blur', function() { sc_form_fallas_docente_id_alumno_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_fallas_docente_id_alumno_onfocus(this, iSeqRow) });
  $('#id_sc_field_falla' + iSeqRow).bind('blur', function() { sc_form_fallas_docente_falla_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_fallas_docente_falla_onfocus(this, iSeqRow) });
  $('#id_sc_field_estudiante' + iSeqRow).bind('blur', function() { sc_form_fallas_docente_estudiante_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_fallas_docente_estudiante_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_fallas_docente_estudiante_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_fallas_docente_id_alumno_onblur(oThis, iSeqRow) {
  do_ajax_form_fallas_docente_validate_id_alumno(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_fallas_docente_id_alumno_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_fallas_docente_falla_onblur(oThis, iSeqRow) {
  do_ajax_form_fallas_docente_validate_falla(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_fallas_docente_falla_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_fallas_docente_estudiante_onblur(oThis, iSeqRow) {
  do_ajax_form_fallas_docente_validate_estudiante(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_fallas_docente_estudiante_onchange(oThis, iSeqRow) {
  lookup_estudiante(iSeqRow);
}

function sc_form_fallas_docente_estudiante_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

