
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_descripcion' + iSeqRow).bind('blur', function() { sc_form_materias_descripcion_onblur(this, iSeqRow) })
                                         .bind('change', function() { sc_form_materias_descripcion_onchange(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_materias_descripcion_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_area' + iSeqRow).bind('blur', function() { sc_form_materias_id_area_onblur(this, iSeqRow) })
                                     .bind('change', function() { sc_form_materias_id_area_onchange(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_materias_id_area_onfocus(this, iSeqRow) });
  $('#id_sc_field_abreviatura' + iSeqRow).bind('blur', function() { sc_form_materias_abreviatura_onblur(this, iSeqRow) })
                                         .bind('change', function() { sc_form_materias_abreviatura_onchange(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_materias_abreviatura_onfocus(this, iSeqRow) });
  $('#id_sc_field_tipo' + iSeqRow).bind('blur', function() { sc_form_materias_tipo_onblur(this, iSeqRow) })
                                  .bind('change', function() { sc_form_materias_tipo_onchange(this, iSeqRow) })
                                  .bind('focus', function() { sc_form_materias_tipo_onfocus(this, iSeqRow) });
  $('#id_sc_field_ncodigo' + iSeqRow).bind('blur', function() { sc_form_materias_ncodigo_onblur(this, iSeqRow) })
                                     .bind('change', function() { sc_form_materias_ncodigo_onchange(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_materias_ncodigo_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_materias_descripcion_onblur(oThis, iSeqRow) {
  do_ajax_form_materias_validate_descripcion(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_materias_descripcion_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_materias_descripcion_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_materias_id_area_onblur(oThis, iSeqRow) {
  do_ajax_form_materias_validate_id_area(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_materias_id_area_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_materias_id_area_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_materias_abreviatura_onblur(oThis, iSeqRow) {
  do_ajax_form_materias_validate_abreviatura(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_materias_abreviatura_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_materias_abreviatura_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_materias_tipo_onblur(oThis, iSeqRow) {
  do_ajax_form_materias_validate_tipo(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_materias_tipo_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_materias_tipo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_materias_ncodigo_onblur(oThis, iSeqRow) {
  do_ajax_form_materias_validate_ncodigo(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_materias_ncodigo_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_materias_ncodigo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

