
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_id_matricula' + iSeqRow).bind('blur', function() { sc_form_minima_id_matricula_onblur(this, iSeqRow) })
                                          .bind('focus', function() { sc_form_minima_id_matricula_onfocus(this, iSeqRow) });
  $('#id_sc_field_year' + iSeqRow).bind('blur', function() { sc_form_minima_year_onblur(this, iSeqRow) })
                                  .bind('focus', function() { sc_form_minima_year_onfocus(this, iSeqRow) });
  $('#id_sc_field_fecha_ingreso' + iSeqRow).bind('blur', function() { sc_form_minima_fecha_ingreso_onblur(this, iSeqRow) })
                                           .bind('focus', function() { sc_form_minima_fecha_ingreso_onfocus(this, iSeqRow) });
  $('#id_sc_field_fecha_renovacion' + iSeqRow).bind('blur', function() { sc_form_minima_fecha_renovacion_onblur(this, iSeqRow) })
                                              .bind('focus', function() { sc_form_minima_fecha_renovacion_onfocus(this, iSeqRow) });
  $('#id_sc_field_codigo' + iSeqRow).bind('blur', function() { sc_form_minima_codigo_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_minima_codigo_onfocus(this, iSeqRow) });
  $('#id_sc_field_apellido1' + iSeqRow).bind('blur', function() { sc_form_minima_apellido1_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_minima_apellido1_onfocus(this, iSeqRow) });
  $('#id_sc_field_apellido2' + iSeqRow).bind('blur', function() { sc_form_minima_apellido2_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_minima_apellido2_onfocus(this, iSeqRow) });
  $('#id_sc_field_nombre1' + iSeqRow).bind('blur', function() { sc_form_minima_nombre1_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_minima_nombre1_onfocus(this, iSeqRow) });
  $('#id_sc_field_nombre2' + iSeqRow).bind('blur', function() { sc_form_minima_nombre2_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_minima_nombre2_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_tipodoc' + iSeqRow).bind('blur', function() { sc_form_minima_id_tipodoc_onblur(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_minima_id_tipodoc_onfocus(this, iSeqRow) });
  $('#id_sc_field_documento' + iSeqRow).bind('blur', function() { sc_form_minima_documento_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_minima_documento_onfocus(this, iSeqRow) });
  $('#id_sc_field_dpto_exp' + iSeqRow).bind('blur', function() { sc_form_minima_dpto_exp_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_minima_dpto_exp_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_minima_dpto_exp_onfocus(this, iSeqRow) });
  $('#id_sc_field_mun_exp' + iSeqRow).bind('blur', function() { sc_form_minima_mun_exp_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_minima_mun_exp_onfocus(this, iSeqRow) });
  $('#id_sc_field_fecha_nacimiento' + iSeqRow).bind('blur', function() { sc_form_minima_fecha_nacimiento_onblur(this, iSeqRow) })
                                              .bind('focus', function() { sc_form_minima_fecha_nacimiento_onfocus(this, iSeqRow) });
  $('#id_sc_field_dpto_nac' + iSeqRow).bind('blur', function() { sc_form_minima_dpto_nac_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_minima_dpto_nac_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_minima_dpto_nac_onfocus(this, iSeqRow) });
  $('#id_sc_field_mun_nac' + iSeqRow).bind('blur', function() { sc_form_minima_mun_nac_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_minima_mun_nac_onfocus(this, iSeqRow) });
  $('#id_sc_field_genero' + iSeqRow).bind('blur', function() { sc_form_minima_genero_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_minima_genero_onfocus(this, iSeqRow) });
  $('#id_sc_field_repitente' + iSeqRow).bind('blur', function() { sc_form_minima_repitente_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_minima_repitente_onfocus(this, iSeqRow) });
  $('#id_sc_field_nuevo' + iSeqRow).bind('blur', function() { sc_form_minima_nuevo_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_minima_nuevo_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_curso' + iSeqRow).bind('blur', function() { sc_form_minima_id_curso_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_minima_id_curso_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_minima_id_curso_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_especialidad' + iSeqRow).bind('blur', function() { sc_form_minima_id_especialidad_onblur(this, iSeqRow) })
                                             .bind('focus', function() { sc_form_minima_id_especialidad_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_tipoespecialidad' + iSeqRow).bind('blur', function() { sc_form_minima_id_tipoespecialidad_onblur(this, iSeqRow) })
                                                 .bind('focus', function() { sc_form_minima_id_tipoespecialidad_onfocus(this, iSeqRow) });
  $('#id_sc_field_nombre_acudiente' + iSeqRow).bind('blur', function() { sc_form_minima_nombre_acudiente_onblur(this, iSeqRow) })
                                              .bind('focus', function() { sc_form_minima_nombre_acudiente_onfocus(this, iSeqRow) });
  $('#id_sc_field_parentesco' + iSeqRow).bind('blur', function() { sc_form_minima_parentesco_onblur(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_minima_parentesco_onfocus(this, iSeqRow) });
  $('#id_sc_field_observaciones' + iSeqRow).bind('blur', function() { sc_form_minima_observaciones_onblur(this, iSeqRow) })
                                           .bind('focus', function() { sc_form_minima_observaciones_onfocus(this, iSeqRow) });
  $('#id_sc_field_dpto_res' + iSeqRow).bind('blur', function() { sc_form_minima_dpto_res_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_minima_dpto_res_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_minima_dpto_res_onfocus(this, iSeqRow) });
  $('#id_sc_field_mun_res' + iSeqRow).bind('blur', function() { sc_form_minima_mun_res_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_minima_mun_res_onfocus(this, iSeqRow) });
  $('#id_sc_field_direccion' + iSeqRow).bind('blur', function() { sc_form_minima_direccion_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_minima_direccion_onfocus(this, iSeqRow) });
  $('#id_sc_field_telefono_res' + iSeqRow).bind('blur', function() { sc_form_minima_telefono_res_onblur(this, iSeqRow) })
                                          .bind('focus', function() { sc_form_minima_telefono_res_onfocus(this, iSeqRow) });
  $('#id_sc_field_metodologia' + iSeqRow).bind('blur', function() { sc_form_minima_metodologia_onblur(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_minima_metodologia_onfocus(this, iSeqRow) });
  $('#id_sc_field_zona' + iSeqRow).bind('blur', function() { sc_form_minima_zona_onblur(this, iSeqRow) })
                                  .bind('focus', function() { sc_form_minima_zona_onfocus(this, iSeqRow) });
  $('#id_sc_field_estrato' + iSeqRow).bind('blur', function() { sc_form_minima_estrato_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_minima_estrato_onfocus(this, iSeqRow) });
  $('#id_sc_field_estado' + iSeqRow).bind('blur', function() { sc_form_minima_estado_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_minima_estado_onfocus(this, iSeqRow) });
  $('#id_sc_field_barrio' + iSeqRow).bind('blur', function() { sc_form_minima_barrio_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_minima_barrio_onfocus(this, iSeqRow) });
  $('#id_sc_field_folio' + iSeqRow).bind('blur', function() { sc_form_minima_folio_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_minima_folio_onfocus(this, iSeqRow) });
  $('#id_sc_field_libro' + iSeqRow).bind('blur', function() { sc_form_minima_libro_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_minima_libro_onfocus(this, iSeqRow) });
  $('#id_sc_field_carnet' + iSeqRow).bind('blur', function() { sc_form_minima_carnet_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_minima_carnet_onfocus(this, iSeqRow) });
  $('#id_sc_field_cod_usuario' + iSeqRow).bind('blur', function() { sc_form_minima_cod_usuario_onblur(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_minima_cod_usuario_onfocus(this, iSeqRow) });
  $('#id_sc_field_cod_clave' + iSeqRow).bind('blur', function() { sc_form_minima_cod_clave_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_minima_cod_clave_onfocus(this, iSeqRow) });
  $('#id_sc_field_promocion' + iSeqRow).bind('blur', function() { sc_form_minima_promocion_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_minima_promocion_onfocus(this, iSeqRow) });
  $('#id_sc_field_fecha_retiro' + iSeqRow).bind('blur', function() { sc_form_minima_fecha_retiro_onblur(this, iSeqRow) })
                                          .bind('focus', function() { sc_form_minima_fecha_retiro_onfocus(this, iSeqRow) });
  $('#id_sc_field_emailestudiante' + iSeqRow).bind('blur', function() { sc_form_minima_emailestudiante_onblur(this, iSeqRow) })
                                             .bind('focus', function() { sc_form_minima_emailestudiante_onfocus(this, iSeqRow) });
  $('#id_sc_field_vivecon' + iSeqRow).bind('blur', function() { sc_form_minima_vivecon_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_minima_vivecon_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_minima_id_matricula_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_id_matricula();
  scCssBlur(oThis);
}

function sc_form_minima_id_matricula_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_year_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_year();
  scCssBlur(oThis);
}

function sc_form_minima_year_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_fecha_ingreso_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_fecha_ingreso();
  scCssBlur(oThis);
}

function sc_form_minima_fecha_ingreso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_fecha_renovacion_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_fecha_renovacion();
  scCssBlur(oThis);
}

function sc_form_minima_fecha_renovacion_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_codigo_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_codigo();
  scCssBlur(oThis);
}

function sc_form_minima_codigo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_apellido1_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_apellido1();
  scCssBlur(oThis);
}

function sc_form_minima_apellido1_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_apellido2_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_apellido2();
  scCssBlur(oThis);
}

function sc_form_minima_apellido2_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_nombre1_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_nombre1();
  scCssBlur(oThis);
}

function sc_form_minima_nombre1_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_nombre2_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_nombre2();
  scCssBlur(oThis);
}

function sc_form_minima_nombre2_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_id_tipodoc_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_id_tipodoc();
  scCssBlur(oThis);
}

function sc_form_minima_id_tipodoc_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_documento_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_documento();
  scCssBlur(oThis);
}

function sc_form_minima_documento_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_dpto_exp_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_dpto_exp();
  scCssBlur(oThis);
}

function sc_form_minima_dpto_exp_onchange(oThis, iSeqRow) {
  do_ajax_form_minima_refresh_dpto_exp();
}

function sc_form_minima_dpto_exp_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_mun_exp_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_mun_exp();
  scCssBlur(oThis);
}

function sc_form_minima_mun_exp_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_fecha_nacimiento_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_fecha_nacimiento();
  scCssBlur(oThis);
}

function sc_form_minima_fecha_nacimiento_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_dpto_nac_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_dpto_nac();
  scCssBlur(oThis);
}

function sc_form_minima_dpto_nac_onchange(oThis, iSeqRow) {
  do_ajax_form_minima_refresh_dpto_nac();
}

function sc_form_minima_dpto_nac_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_mun_nac_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_mun_nac();
  scCssBlur(oThis);
}

function sc_form_minima_mun_nac_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_genero_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_genero();
  scCssBlur(oThis);
}

function sc_form_minima_genero_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_repitente_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_repitente();
  scCssBlur(oThis);
}

function sc_form_minima_repitente_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_nuevo_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_nuevo();
  scCssBlur(oThis);
}

function sc_form_minima_nuevo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_id_curso_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_id_curso();
  scCssBlur(oThis);
}

function sc_form_minima_id_curso_onchange(oThis, iSeqRow) {
  do_ajax_form_minima_refresh_id_curso();
  lookup_id_curso();
}

function sc_form_minima_id_curso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_id_especialidad_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_id_especialidad();
  scCssBlur(oThis);
}

function sc_form_minima_id_especialidad_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_id_tipoespecialidad_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_id_tipoespecialidad();
  scCssBlur(oThis);
}

function sc_form_minima_id_tipoespecialidad_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_nombre_acudiente_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_nombre_acudiente();
  scCssBlur(oThis);
}

function sc_form_minima_nombre_acudiente_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_parentesco_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_parentesco();
  scCssBlur(oThis);
}

function sc_form_minima_parentesco_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_observaciones_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_observaciones();
  scCssBlur(oThis);
}

function sc_form_minima_observaciones_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_dpto_res_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_dpto_res();
  scCssBlur(oThis);
}

function sc_form_minima_dpto_res_onchange(oThis, iSeqRow) {
  do_ajax_form_minima_refresh_dpto_res();
  nm_recarga_form('bloco_2', 0);
}

function sc_form_minima_dpto_res_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_mun_res_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_mun_res();
  scCssBlur(oThis);
}

function sc_form_minima_mun_res_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_direccion_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_direccion();
  scCssBlur(oThis);
}

function sc_form_minima_direccion_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_telefono_res_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_telefono_res();
  scCssBlur(oThis);
}

function sc_form_minima_telefono_res_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_metodologia_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_metodologia();
  scCssBlur(oThis);
}

function sc_form_minima_metodologia_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_zona_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_zona();
  scCssBlur(oThis);
}

function sc_form_minima_zona_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_estrato_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_estrato();
  scCssBlur(oThis);
}

function sc_form_minima_estrato_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_estado_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_estado();
  scCssBlur(oThis);
}

function sc_form_minima_estado_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_barrio_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_barrio();
  scCssBlur(oThis);
}

function sc_form_minima_barrio_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_folio_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_folio();
  scCssBlur(oThis);
}

function sc_form_minima_folio_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_libro_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_libro();
  scCssBlur(oThis);
}

function sc_form_minima_libro_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_carnet_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_carnet();
  scCssBlur(oThis);
}

function sc_form_minima_carnet_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_cod_usuario_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_cod_usuario();
  scCssBlur(oThis);
}

function sc_form_minima_cod_usuario_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_cod_clave_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_cod_clave();
  scCssBlur(oThis);
}

function sc_form_minima_cod_clave_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_promocion_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_promocion();
  scCssBlur(oThis);
}

function sc_form_minima_promocion_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_fecha_retiro_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_fecha_retiro();
  scCssBlur(oThis);
}

function sc_form_minima_fecha_retiro_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_emailestudiante_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_emailestudiante();
  scCssBlur(oThis);
}

function sc_form_minima_emailestudiante_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_minima_vivecon_onblur(oThis, iSeqRow) {
  do_ajax_form_minima_validate_vivecon();
  scCssBlur(oThis);
}

function sc_form_minima_vivecon_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

var sc_jq_calendar_value = {};

function scJQCalendarAdd(iSeqRow) {
  $("#id_sc_field_fecha_nacimiento" + iSeqRow).datepicker({
    beforeShow: function(input, inst) {
      var $oField = $(this),
          aParts  = $oField.val().split(" "),
          sTime   = "";
      sc_jq_calendar_value["#id_sc_field_fecha_nacimiento" + iSeqRow] = $oField.val();
    },
    onClose: function(dateText, inst) {
    },
    showWeek: true,
    numberOfMonths: 1,
    changeMonth: true,
    changeYear: true,
    yearRange: 'c-15:c+15',
    dayNames: ['<?php        echo html_entity_decode($this->Ini->Nm_lang['lang_days_sund']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_mond']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_tued']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_wend']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_thud']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_frid']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_satd']);        ?>'],
    dayNamesMin: ['<?php     echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_sund']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_mond']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_tued']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_wend']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_thud']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_frid']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_satd']); ?>'],
    monthNamesShort: ['<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_janu']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_febr']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_marc']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_apri']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_mayy']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_june']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_july']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_augu']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_sept']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_octo']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_nove']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_dece']); ?>'],
    weekHeader: "<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_days_sem']); ?>",
    firstDay: <?php echo $this->jqueryCalendarWeekInit("" . $_SESSION['scriptcase']['reg_conf']['date_week_ini'] . ""); ?>,
    dateFormat: "<?php echo $this->jqueryCalendarDtFormat("" . str_replace(array('/', 'aaaa', $_SESSION['scriptcase']['reg_conf']['date_sep']), array('', 'yyyy', ''), $this->field_config['fecha_nacimiento']['date_format']) . "", "" . $_SESSION['scriptcase']['reg_conf']['date_sep'] . ""); ?>",
    showOtherMonths: true,
    showOn: "button",
    buttonImage: "<?php echo $this->jqueryIconFile('calendar'); ?>",
    buttonImageOnly: true
  });

  $("#id_sc_field_fecha_ingreso" + iSeqRow).datepicker({
    beforeShow: function(input, inst) {
      var $oField = $(this),
          aParts  = $oField.val().split(" "),
          sTime   = "";
      sc_jq_calendar_value["#id_sc_field_fecha_ingreso" + iSeqRow] = $oField.val();
    },
    onClose: function(dateText, inst) {
    },
    showWeek: true,
    numberOfMonths: 1,
    changeMonth: true,
    changeYear: true,
    yearRange: 'c-10:c+10',
    dayNames: ['<?php        echo html_entity_decode($this->Ini->Nm_lang['lang_days_sund']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_mond']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_tued']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_wend']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_thud']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_frid']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_satd']);        ?>'],
    dayNamesMin: ['<?php     echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_sund']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_mond']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_tued']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_wend']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_thud']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_frid']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_satd']); ?>'],
    monthNamesShort: ['<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_janu']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_febr']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_marc']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_apri']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_mayy']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_june']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_july']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_augu']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_sept']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_octo']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_nove']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_dece']); ?>'],
    weekHeader: "<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_days_sem']); ?>",
    firstDay: <?php echo $this->jqueryCalendarWeekInit("" . $_SESSION['scriptcase']['reg_conf']['date_week_ini'] . ""); ?>,
    dateFormat: "<?php echo $this->jqueryCalendarDtFormat("" . str_replace(array('/', 'aaaa', $_SESSION['scriptcase']['reg_conf']['date_sep']), array('', 'yyyy', ''), $this->field_config['fecha_ingreso']['date_format']) . "", "" . $_SESSION['scriptcase']['reg_conf']['date_sep'] . ""); ?>",
    showOtherMonths: true,
    showOn: "button",
    buttonImage: "<?php echo $this->jqueryIconFile('calendar'); ?>",
    buttonImageOnly: true
  });

  $("#id_sc_field_fecha_renovacion" + iSeqRow).datepicker({
    beforeShow: function(input, inst) {
      var $oField = $(this),
          aParts  = $oField.val().split(" "),
          sTime   = "";
      sc_jq_calendar_value["#id_sc_field_fecha_renovacion" + iSeqRow] = $oField.val();
    },
    onClose: function(dateText, inst) {
    },
    showWeek: true,
    numberOfMonths: 1,
    changeMonth: true,
    changeYear: true,
    yearRange: 'c-5:c+5',
    dayNames: ['<?php        echo html_entity_decode($this->Ini->Nm_lang['lang_days_sund']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_mond']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_tued']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_wend']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_thud']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_frid']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_satd']);        ?>'],
    dayNamesMin: ['<?php     echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_sund']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_mond']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_tued']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_wend']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_thud']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_frid']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_satd']); ?>'],
    monthNamesShort: ['<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_janu']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_febr']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_marc']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_apri']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_mayy']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_june']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_july']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_augu']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_sept']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_octo']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_nove']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_dece']); ?>'],
    weekHeader: "<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_days_sem']); ?>",
    firstDay: <?php echo $this->jqueryCalendarWeekInit("" . $_SESSION['scriptcase']['reg_conf']['date_week_ini'] . ""); ?>,
    dateFormat: "<?php echo $this->jqueryCalendarDtFormat("" . str_replace(array('/', 'aaaa', $_SESSION['scriptcase']['reg_conf']['date_sep']), array('', 'yyyy', ''), $this->field_config['fecha_renovacion']['date_format']) . "", "" . $_SESSION['scriptcase']['reg_conf']['date_sep'] . ""); ?>",
    showOtherMonths: true,
    showOn: "button",
    buttonImage: "<?php echo $this->jqueryIconFile('calendar'); ?>",
    buttonImageOnly: true
  });

  $("#id_sc_field_fecha_retiro" + iSeqRow).datepicker({
    beforeShow: function(input, inst) {
      var $oField = $(this),
          aParts  = $oField.val().split(" "),
          sTime   = "";
      sc_jq_calendar_value["#id_sc_field_fecha_retiro" + iSeqRow] = $oField.val();
    },
    onClose: function(dateText, inst) {
    },
    showWeek: true,
    numberOfMonths: 1,
    changeMonth: true,
    changeYear: true,
    yearRange: 'c-5:c+5',
    dayNames: ['<?php        echo html_entity_decode($this->Ini->Nm_lang['lang_days_sund']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_mond']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_tued']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_wend']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_thud']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_frid']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_satd']);        ?>'],
    dayNamesMin: ['<?php     echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_sund']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_mond']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_tued']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_wend']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_thud']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_frid']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_satd']); ?>'],
    monthNamesShort: ['<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_janu']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_febr']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_marc']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_apri']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_mayy']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_june']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_july']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_augu']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_sept']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_octo']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_nove']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_dece']); ?>'],
    weekHeader: "<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_days_sem']); ?>",
    firstDay: <?php echo $this->jqueryCalendarWeekInit("" . $_SESSION['scriptcase']['reg_conf']['date_week_ini'] . ""); ?>,
    dateFormat: "<?php echo $this->jqueryCalendarDtFormat("" . str_replace(array('/', 'aaaa', $_SESSION['scriptcase']['reg_conf']['date_sep']), array('', 'yyyy', ''), $this->field_config['fecha_retiro']['date_format']) . "", "" . $_SESSION['scriptcase']['reg_conf']['date_sep'] . ""); ?>",
    showOtherMonths: true,
    showOn: "button",
    buttonImage: "<?php echo $this->jqueryIconFile('calendar'); ?>",
    buttonImageOnly: true
  });

} // scJQCalendarAdd


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
  scJQCalendarAdd(iLine);
} // scJQElementsAdd

