
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_idnotas' + iSeqRow).bind('blur', function() { sc_form_notas_idnotas_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_notas_idnotas_onfocus(this, iSeqRow) });
  $('#id_sc_field_alumno' + iSeqRow).bind('blur', function() { sc_form_notas_alumno_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_notas_alumno_onfocus(this, iSeqRow) });
  $('#id_sc_field_p0' + iSeqRow).bind('blur', function() { sc_form_notas_p0_onblur(this, iSeqRow) })
                                .bind('focus', function() { sc_form_notas_p0_onfocus(this, iSeqRow) });
  $('#id_sc_field_r0' + iSeqRow).bind('blur', function() { sc_form_notas_r0_onblur(this, iSeqRow) })
                                .bind('change', function() { sc_form_notas_r0_onchange(this, iSeqRow) })
                                .bind('focus', function() { sc_form_notas_r0_onfocus(this, iSeqRow) });
  $('#id_sc_field_pr0' + iSeqRow).bind('blur', function() { sc_form_notas_pr0_onblur(this, iSeqRow) })
                                 .bind('change', function() { sc_form_notas_pr0_onchange(this, iSeqRow) })
                                 .bind('focus', function() { sc_form_notas_pr0_onfocus(this, iSeqRow) });
  $('#id_sc_field_fr0' + iSeqRow).bind('blur', function() { sc_form_notas_fr0_onblur(this, iSeqRow) })
                                 .bind('focus', function() { sc_form_notas_fr0_onfocus(this, iSeqRow) });
  $('#id_sc_field_estudiante' + iSeqRow).bind('blur', function() { sc_form_notas_estudiante_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_notas_estudiante_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_notas_estudiante_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_notas_idnotas_onblur(oThis, iSeqRow) {
  do_ajax_form_notas_validate_idnotas(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_notas_idnotas_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_notas_alumno_onblur(oThis, iSeqRow) {
  do_ajax_form_notas_validate_alumno(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_notas_alumno_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_notas_p0_onblur(oThis, iSeqRow) {
  do_ajax_form_notas_validate_p0(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_notas_p0_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_notas_r0_onblur(oThis, iSeqRow) {
  do_ajax_form_notas_validate_r0(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_notas_r0_onchange(oThis, iSeqRow) {
  do_ajax_form_notas_event_r0_onchange(iSeqRow);
}

function sc_form_notas_r0_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_notas_pr0_onblur(oThis, iSeqRow) {
  do_ajax_form_notas_validate_pr0(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_notas_pr0_onchange(oThis, iSeqRow) {
  do_ajax_form_notas_event_pr0_onchange(iSeqRow);
}

function sc_form_notas_pr0_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_notas_fr0_onblur(oThis, iSeqRow) {
  do_ajax_form_notas_validate_fr0(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_notas_fr0_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_notas_estudiante_onblur(oThis, iSeqRow) {
  do_ajax_form_notas_validate_estudiante(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_notas_estudiante_onchange(oThis, iSeqRow) {
  lookup_estudiante(iSeqRow);
}

function sc_form_notas_estudiante_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

