
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_id_alumno' + iSeqRow).bind('blur', function() { sc_form_tb_notas_id_alumno_onblur(this, iSeqRow) })
                                       .bind('change', function() { sc_form_tb_notas_id_alumno_onchange(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_tb_notas_id_alumno_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_matcurso' + iSeqRow).bind('blur', function() { sc_form_tb_notas_id_matcurso_onblur(this, iSeqRow) })
                                         .bind('change', function() { sc_form_tb_notas_id_matcurso_onchange(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_tb_notas_id_matcurso_onfocus(this, iSeqRow) });
  $('#id_sc_field_idperiodo' + iSeqRow).bind('blur', function() { sc_form_tb_notas_idperiodo_onblur(this, iSeqRow) })
                                       .bind('change', function() { sc_form_tb_notas_idperiodo_onchange(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_tb_notas_idperiodo_onfocus(this, iSeqRow) });
  $('#id_sc_field_falla' + iSeqRow).bind('blur', function() { sc_form_tb_notas_falla_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_tb_notas_falla_onfocus(this, iSeqRow) });
  $('#id_sc_field_notas' + iSeqRow).bind('blur', function() { sc_form_tb_notas_notas_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_tb_notas_notas_onfocus(this, iSeqRow) });
  $('#id_sc_field_logros' + iSeqRow).bind('blur', function() { sc_form_tb_notas_logros_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_tb_notas_logros_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_tb_notas_id_alumno_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_notas_validate_id_alumno();
  scCssBlur(oThis);
}

function sc_form_tb_notas_id_alumno_onchange(oThis, iSeqRow) {
  lookup_id_alumno();
}

function sc_form_tb_notas_id_alumno_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_notas_id_matcurso_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_notas_validate_id_matcurso();
  scCssBlur(oThis);
}

function sc_form_tb_notas_id_matcurso_onchange(oThis, iSeqRow) {
  lookup_id_matcurso();
}

function sc_form_tb_notas_id_matcurso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_notas_idperiodo_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_notas_validate_idperiodo();
  scCssBlur(oThis);
}

function sc_form_tb_notas_idperiodo_onchange(oThis, iSeqRow) {
  lookup_idperiodo();
}

function sc_form_tb_notas_idperiodo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_notas_falla_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_notas_validate_falla();
  scCssBlur(oThis);
}

function sc_form_tb_notas_falla_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_notas_notas_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_notas_validate_notas();
  scCssBlur(oThis);
}

function sc_form_tb_notas_notas_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_notas_logros_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_notas_validate_logros();
  scCssBlur(oThis);
}

function sc_form_tb_notas_logros_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

