
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_id_curso' + iSeqRow).bind('blur', function() { sc_form_tb_tareas_id_curso_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_tb_tareas_id_curso_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_tb_tareas_id_curso_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_materia' + iSeqRow).bind('blur', function() { sc_form_tb_tareas_id_materia_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_tb_tareas_id_materia_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_tb_tareas_id_materia_onfocus(this, iSeqRow) });
  $('#id_sc_field_idmatcurso' + iSeqRow).bind('blur', function() { sc_form_tb_tareas_idmatcurso_onblur(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_tb_tareas_idmatcurso_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_docente' + iSeqRow).bind('blur', function() { sc_form_tb_tareas_id_docente_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_tb_tareas_id_docente_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_tb_tareas_id_docente_onfocus(this, iSeqRow) });
  $('#id_sc_field_sede' + iSeqRow).bind('blur', function() { sc_form_tb_tareas_sede_onblur(this, iSeqRow) })
                                  .bind('change', function() { sc_form_tb_tareas_sede_onchange(this, iSeqRow) })
                                  .bind('focus', function() { sc_form_tb_tareas_sede_onfocus(this, iSeqRow) });
  $('#id_sc_field_tareas' + iSeqRow).bind('blur', function() { sc_form_tb_tareas_tareas_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_tb_tareas_tareas_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_tb_tareas_id_curso_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_tareas_validate_id_curso();
  scCssBlur(oThis);
}

function sc_form_tb_tareas_id_curso_onchange(oThis, iSeqRow) {
  lookup_id_curso();
}

function sc_form_tb_tareas_id_curso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_tareas_id_materia_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_tareas_validate_id_materia();
  scCssBlur(oThis);
}

function sc_form_tb_tareas_id_materia_onchange(oThis, iSeqRow) {
  lookup_id_materia();
}

function sc_form_tb_tareas_id_materia_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_tareas_idmatcurso_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_tareas_validate_idmatcurso();
  scCssBlur(oThis);
}

function sc_form_tb_tareas_idmatcurso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_tareas_id_docente_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_tareas_validate_id_docente();
  scCssBlur(oThis);
}

function sc_form_tb_tareas_id_docente_onchange(oThis, iSeqRow) {
  lookup_id_docente();
}

function sc_form_tb_tareas_id_docente_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_tareas_sede_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_tareas_validate_sede();
  scCssBlur(oThis);
}

function sc_form_tb_tareas_sede_onchange(oThis, iSeqRow) {
  lookup_sede();
}

function sc_form_tb_tareas_sede_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_tareas_tareas_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_tareas_validate_tareas();
  scCssBlur(oThis);
}

function sc_form_tb_tareas_tareas_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

