<?php
class pdfreport_matriculas_grid
{
   var $Ini;
   var $Erro;
   var $Pdf;
   var $Db;
   var $rs_grid;
   var $nm_grid_sem_reg;
   var $SC_seq_register;
   var $nm_location;
   var $nm_data;
   var $nm_cod_barra;
   var $sc_proc_grid; 
   var $nmgp_botoes = array();
   var $Campos_Mens_erro;
   var $NM_raiz_img; 
   var $Font_ttf; 
   var $id_matricula = array();
   var $codigo = array();
   var $estudiante = array();
   var $foto = array();
//--- 
 function monta_grid($linhas = 0)
 {

   clearstatcache();
   $this->inicializa();
   $this->grid();
 }
//--- 
 function inicializa()
 {
   global $nm_saida, 
   $rec, $nmgp_chave, $nmgp_opcao, $nmgp_ordem, $nmgp_chave_det, 
   $nmgp_quant_linhas, $nmgp_quant_colunas, $nmgp_url_saida, $nmgp_parms;
//
   $this->nm_data = new nm_data("es");
   $this->default_font = 'Arial';
   $this->default_font_sr  = 'Arial';
   $this->default_style    = '';
   $this->default_style_sr = 'B';
   $Tp_papel = "Legal";
   $old_dir = getcwd();
   $File_font_ttf = "";
   $this->Font_ttf = false;
   if (in_array(trim($this->Ini->str_lang), $this->Ini->nm_font_ttf) && is_dir($this->Ini->path_third . "/tfpdf/"))
   {
       if (in_array(trim($this->Ini->str_lang), $this->Ini->nm_ttf_arab))
       {
           $this->default_font    = "Simplified Arabic";
           $this->default_font_sr = "Simplified Arabic";
           $File_font_ttf         = "simpo.ttf";
       }
       if (in_array(trim($this->Ini->str_lang), $this->Ini->nm_ttf_jap))
       {
           $this->default_font    = "IPAGothic";
           $this->default_font_sr = "IPAGothic";
           $File_font_ttf         = "ipag.ttf";
       }
       if (in_array(trim($this->Ini->str_lang), $this->Ini->nm_ttf_rus))
       {
           $this->default_font    = "Gentium";
           $this->default_font_sr = "Gentium";
           $File_font_ttf         = "GenR102.TTF";
       }
       if (in_array(trim($this->Ini->str_lang), $this->Ini->nm_ttf_chi))
       {
           $this->default_font    = "HanWangMingMedium";
           $this->default_font_sr = "HanWangMingMedium";
           $File_font_ttf         = "wt002.ttf";
       }
       if (in_array(trim($this->Ini->str_lang), $this->Ini->nm_ttf_thai))
       {
           $this->default_font    = "Courpro";
           $this->default_font_sr = "Courpro";
           $File_font_ttf         = "courpro.ttf";
       }
       $this->default_style    = '';
       $this->default_style_sr = '';
       chdir($this->Ini->path_third . "/tfpdf/");
   }
   else
   {
       chdir($this->Ini->path_third . "/fpdf/");
   }
   include_once("visibility.php");
   chdir($old_dir);
   $this->Pdf = new PDF_Visibility('P', 'mm', $Tp_papel);
   if (!empty($File_font_ttf))
   {
       $this->Font_ttf = true;
       $this->Pdf->AddFont($this->default_font, '', $File_font_ttf, true);
   }
   $this->Pdf->SetDisplayMode('real');
   $this->Pdf->AliasNbPages();
   $this->aba_iframe = false;
   if (isset($_SESSION['scriptcase']['sc_aba_iframe']))
   {
       foreach ($_SESSION['scriptcase']['sc_aba_iframe'] as $aba => $apls_aba)
       {
           if (in_array("pdfreport_matriculas", $apls_aba))
           {
               $this->aba_iframe = true;
               break;
           }
       }
   }
   if ($_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['iframe_menu'])
   {
       $this->aba_iframe = true;
   }
   $this->nmgp_botoes['exit'] = "off";
   $this->sc_proc_grid = false; 
   $this->NM_raiz_img = $this->Ini->root;
   $_SESSION['scriptcase']['sc_sql_ult_conexao'] = ''; 
   $this->nm_where_dinamico = "";
   $this->nm_grid_colunas = 0;
   if (isset($_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['campos_busca']) && !empty($_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['campos_busca']))
   { 
       $this->id_matricula[0] = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['campos_busca']['id_matricula']; 
       $tmp_pos = strpos($this->id_matricula[0], "##@@");
       if ($tmp_pos !== false)
       {
           $this->id_matricula[0] = substr($this->id_matricula[0], 0, $tmp_pos);
       }
       $this->codigo[0] = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['campos_busca']['codigo']; 
       $tmp_pos = strpos($this->codigo[0], "##@@");
       if ($tmp_pos !== false)
       {
           $this->codigo[0] = substr($this->codigo[0], 0, $tmp_pos);
       }
       $this->estudiante[0] = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['campos_busca']['estudiante']; 
       $tmp_pos = strpos($this->estudiante[0], "##@@");
       if ($tmp_pos !== false)
       {
           $this->estudiante[0] = substr($this->estudiante[0], 0, $tmp_pos);
       }
       $this->foto[0] = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['campos_busca']['foto']; 
       $tmp_pos = strpos($this->foto[0], "##@@");
       if ($tmp_pos !== false)
       {
           $this->foto[0] = substr($this->foto[0], 0, $tmp_pos);
       }
   } 
   $this->nm_field_dinamico = array();
   $this->nm_order_dinamico = array();
   $this->sc_where_orig   = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_orig'];
   $this->sc_where_atual  = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_pesq'];
   $this->sc_where_filtro = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_pesq_filtro'];
   $dir_raiz          = strrpos($_SERVER['PHP_SELF'],"/") ;  
   $dir_raiz          = substr($_SERVER['PHP_SELF'], 0, $dir_raiz + 1) ;  
   $this->nm_location = $this->Ini->sc_protocolo . $this->Ini->server . $dir_raiz . "pdfreport_matriculas.php" ; 
   $_SESSION['scriptcase']['contr_link_emb'] = $this->nm_location;
   $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['qt_col_grid'] = 1 ;  
   if (isset($_SESSION['scriptcase']['sc_apl_conf']['pdfreport_matriculas']['cols']) && !empty($_SESSION['scriptcase']['sc_apl_conf']['pdfreport_matriculas']['cols']))
   {
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['qt_col_grid'] = $_SESSION['scriptcase']['sc_apl_conf']['pdfreport_matriculas']['cols'];  
       unset($_SESSION['scriptcase']['sc_apl_conf']['pdfreport_matriculas']['cols']);
   }
   if (!isset($_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['ordem_select']))  
   { 
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['ordem_select'] = array(); 
   } 
   if (!isset($_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['ordem_quebra']))  
   { 
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['ordem_grid'] = "" ; 
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['ordem_ant']  = ""; 
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['ordem_desc'] = "" ; 
   }   
   if (!empty($nmgp_parms) && $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['opcao'] != "pdf")   
   { 
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['opcao'] = "igual";
       $rec = "ini";
   }
   if (!isset($_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_orig']) || $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['prim_cons'] || !empty($nmgp_parms))  
   { 
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['prim_cons'] = false;  
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_orig'] = " where id_matricula in (" . $_SESSION['alumnos'] . ")";  
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_pesq']        = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_orig'];  
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_pesq_ant']    = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_orig'];  
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['cond_pesq']         = ""; 
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_pesq_filtro'] = "";
   }   
   if  (!empty($this->nm_where_dinamico)) 
   {   
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_pesq'] .= $this->nm_where_dinamico;
   }   
   $this->sc_where_orig   = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_orig'];
   $this->sc_where_atual  = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_pesq'];
   $this->sc_where_filtro = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_pesq_filtro'];
//
   if (isset($_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['tot_geral'][1])) 
   { 
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['total'] = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['tot_geral'][1] ;  
   }
   $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_pesq_ant'] = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_pesq'];  
//----- 
   if (in_array(strtolower($this->Ini->nm_tpbanco), $this->Ini->nm_bases_sybase))
   { 
       $nmgp_select = "SELECT id_matricula, codigo, concat(apellido1,' ',apellido2,' ',nombre1,' ',nombre2) as estudiante, foto from " . $this->Ini->nm_tabela; 
   } 
   elseif (in_array(strtolower($this->Ini->nm_tpbanco), $this->Ini->nm_bases_mysql))
   { 
       $nmgp_select = "SELECT id_matricula, codigo, concat(apellido1,' ',apellido2,' ',nombre1,' ',nombre2) as estudiante, foto from " . $this->Ini->nm_tabela; 
   } 
   elseif (in_array(strtolower($this->Ini->nm_tpbanco), $this->Ini->nm_bases_mssql))
   { 
       $nmgp_select = "SELECT id_matricula, codigo, concat(apellido1,' ',apellido2,' ',nombre1,' ',nombre2) as estudiante, foto from " . $this->Ini->nm_tabela; 
   } 
   elseif (in_array(strtolower($this->Ini->nm_tpbanco), $this->Ini->nm_bases_oracle))
   { 
       $nmgp_select = "SELECT id_matricula, codigo, concat(apellido1,' ',apellido2,' ',nombre1,' ',nombre2) as estudiante, foto from " . $this->Ini->nm_tabela; 
   } 
   elseif (in_array(strtolower($this->Ini->nm_tpbanco), $this->Ini->nm_bases_informix))
   { 
       $nmgp_select = "SELECT id_matricula, codigo, concat(apellido1,' ',apellido2,' ',nombre1,' ',nombre2) as estudiante, foto from " . $this->Ini->nm_tabela; 
   } 
   else 
   { 
       $nmgp_select = "SELECT id_matricula, codigo, concat(apellido1,' ',apellido2,' ',nombre1,' ',nombre2) as estudiante, foto from " . $this->Ini->nm_tabela; 
   } 
   $nmgp_select .= " " . $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_pesq']; 
   $nmgp_order_by = ""; 
   $campos_order_select = "";
   foreach($_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['ordem_select'] as $campo => $ordem) 
   {
        if ($campo != $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['ordem_grid']) 
        {
           if (!empty($campos_order_select)) 
           {
               $campos_order_select .= ", ";
           }
           $campos_order_select .= $campo . " " . $ordem;
        }
   }
   if (!empty($_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['ordem_grid'])) 
   { 
       $nmgp_order_by = " order by " . $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['ordem_grid'] . $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['ordem_desc']; 
   } 
   if (!empty($campos_order_select)) 
   { 
       if (!empty($nmgp_order_by)) 
       { 
          $nmgp_order_by .= ", " . $campos_order_select; 
       } 
       else 
       { 
          $nmgp_order_by = " order by $campos_order_select"; 
       } 
   } 
   $nmgp_select .= $nmgp_order_by; 
   $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['order_grid'] = $nmgp_order_by;
   $_SESSION['scriptcase']['sc_sql_ult_comando'] = $nmgp_select; 
   $this->rs_grid = $this->Db->Execute($nmgp_select) ; 
   if ($this->rs_grid === false && !$this->rs_grid->EOF && $GLOBALS["NM_ERRO_IBASE"] != 1) 
   { 
       $this->Erro->mensagem(__FILE__, __LINE__, "banco", $this->Ini->Nm_lang['lang_errm_dber'], $this->Db->ErrorMsg()); 
       exit ; 
   }  
   if ($this->rs_grid->EOF || ($this->rs_grid === false && $GLOBALS["NM_ERRO_IBASE"] == 1)) 
   { 
       $this->nm_grid_sem_reg = $this->Ini->Nm_lang['lang_errm_empt']; 
   }  
// 
 }  
// 
 function Pdf_init()
 {
   $this->Pdf->SetFont($this->default_font, $this->default_style, 12);
   $this->Pdf->SetTextColor(0, 0, 0);
 }
// 
 function Pdf_image()
 {
   $this->Pdf->Image($this->NM_raiz_img . $this->Ini->path_img_global . "/grp__NM__DIPLOMA.png", 1, 1, 220, 360);
 }
// 
//----- 
 function grid($linhas = 0)
 {
    global 
           $nm_saida, $nm_url_saida;
   $HTTP_REFERER = (isset($_SERVER['HTTP_REFERER'])) ? $_SERVER['HTTP_REFERER'] : ""; 
   $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['seq_dir'] = 0; 
   $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['sub_dir'] = array(); 
   $this->sc_where_orig   = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_orig'];
   $this->sc_where_atual  = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_pesq'];
   $this->sc_where_filtro = $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['where_pesq_filtro'];
   if (isset($_SESSION['scriptcase']['sc_apl_conf']['pdfreport_matriculas']['lig_edit']) && $_SESSION['scriptcase']['sc_apl_conf']['pdfreport_matriculas']['lig_edit'] != '')
   {
       $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['mostra_edit'] = $_SESSION['scriptcase']['sc_apl_conf']['pdfreport_matriculas']['lig_edit'];
   }
   if (!empty($this->nm_grid_sem_reg))
   {
       $this->Pdf->AddPage();
       $this->Pdf_init();
       $this->Pdf->SetFont($this->default_font_sr, 'B', 12);
       $this->Pdf->SetTextColor(0, 0, 0);
       $this->Pdf->Text(10, 10, html_entity_decode($this->nm_grid_sem_reg));
       $this->Pdf->Output($this->Ini->root . $this->Ini->nm_path_pdf);
       return;
   }
// 
   $Init_Pdf = true;
   $this->SC_seq_register = 0; 
   while (!$this->rs_grid->EOF) 
   {  
      $this->nm_grid_colunas = 0; 
      $nm_quant_linhas = 0;
      $this->Pdf->AddPage();
      $this->Pdf_init();
      $this->Pdf_image();
      while (!$this->rs_grid->EOF && $nm_quant_linhas < $_SESSION['sc_session'][$this->Ini->sc_page]['pdfreport_matriculas']['qt_col_grid']) 
      {  
          $this->sc_proc_grid = true;
          $this->SC_seq_register++; 
          $this->id_matricula[$this->nm_grid_colunas] = $this->rs_grid->fields[0] ;  
          $this->id_matricula[$this->nm_grid_colunas] = (string)$this->id_matricula[$this->nm_grid_colunas];
          $this->codigo[$this->nm_grid_colunas] = $this->rs_grid->fields[1] ;  
          $this->estudiante[$this->nm_grid_colunas] = $this->rs_grid->fields[2] ;  
          $this->foto[$this->nm_grid_colunas] = $this->rs_grid->fields[3] ;  
          $this->id_matricula[$this->nm_grid_colunas] = trim($this->id_matricula[$this->nm_grid_colunas]); 
          if ($this->id_matricula[$this->nm_grid_colunas] === "") 
          { 
              $this->id_matricula[$this->nm_grid_colunas] = "" ;  
          } 
          else    
          { 
              nmgp_Form_Num_Val($this->id_matricula[$this->nm_grid_colunas], $_SESSION['scriptcase']['reg_conf']['grup_num'], $_SESSION['scriptcase']['reg_conf']['dec_num'], "0", "S", "2", "", "N:" . $_SESSION['scriptcase']['reg_conf']['neg_num'] , $_SESSION['scriptcase']['reg_conf']['simb_neg'], $_SESSION['scriptcase']['reg_conf']['num_group_digit']) ; 
          } 
          if ($this->Font_ttf && !NM_is_utf8($this->id_matricula[$this->nm_grid_colunas]))
          {
              $this->id_matricula[$this->nm_grid_colunas] = mb_convert_encoding($this->id_matricula[$this->nm_grid_colunas], "UTF-8", $_SESSION['scriptcase']['charset']);
          }
          $this->codigo[$this->nm_grid_colunas] = trim($this->codigo[$this->nm_grid_colunas]); 
          if ($this->codigo[$this->nm_grid_colunas] === "") 
          { 
              $this->codigo[$this->nm_grid_colunas] = "" ;  
          } 
          if ($this->Font_ttf && !NM_is_utf8($this->codigo[$this->nm_grid_colunas]))
          {
              $this->codigo[$this->nm_grid_colunas] = mb_convert_encoding($this->codigo[$this->nm_grid_colunas], "UTF-8", $_SESSION['scriptcase']['charset']);
          }
          $this->estudiante[$this->nm_grid_colunas] = trim($this->estudiante[$this->nm_grid_colunas]); 
          if ($this->estudiante[$this->nm_grid_colunas] === "") 
          { 
              $this->estudiante[$this->nm_grid_colunas] = "" ;  
          } 
          if ($this->estudiante[$this->nm_grid_colunas] !== "") 
          { 
              $this->estudiante[$this->nm_grid_colunas] = function_exists('mb_strtoupper') ? mb_strtoupper($this->estudiante[$this->nm_grid_colunas]) : strtoupper($this->estudiante[$this->nm_grid_colunas]); 
          } 
          if ($this->Font_ttf && !NM_is_utf8($this->estudiante[$this->nm_grid_colunas]))
          {
              $this->estudiante[$this->nm_grid_colunas] = mb_convert_encoding($this->estudiante[$this->nm_grid_colunas], "UTF-8", $_SESSION['scriptcase']['charset']);
          }
          $this->foto[$this->nm_grid_colunas] = trim($this->foto[$this->nm_grid_colunas]); 
          if (empty($this->foto[$this->nm_grid_colunas]) || $this->foto[$this->nm_grid_colunas] == "none" || $this->foto[$this->nm_grid_colunas] == "*nm*") 
          { 
              $this->foto[$this->nm_grid_colunas] = "" ;  
              $out_foto = "" ; 
          } 
          elseif ($this->Ini->Gd_missing)
          { 
              $this->foto[$this->nm_grid_colunas] = "<span class=\"scErrorLine\">" . $this->Ini->Nm_lang['lang_errm_gd'] . "</span>";
          } 
          else 
          { 
              $this->foto[$this->nm_grid_colunas] = $this->Ini->root . $this->Ini->path_imagens . "fotos" . "/" .  $this->foto[$this->nm_grid_colunas];
          } 
            $cell_id_matricula = array('posx' => 10, 'posy' => 180, 'data' => $this->estudiante[$this->nm_grid_colunas], 'width'      => 200, 'align'      => 'C', 'font_type'  => 'Times', 'font_size'  => 24, 'color_r'    => '0', 'color_g'    => '0', 'color_b'    => '0', 'font_style' => I);


            $this->Pdf->SetFont($cell_id_matricula['font_type'], $cell_id_matricula['font_style'], $cell_id_matricula['font_size']);
            $this->Pdf->SetTextColor($cell_id_matricula['color_r'], $cell_id_matricula['color_g'], $cell_id_matricula['color_b']);
            if (!empty($cell_id_matricula['posx']) && !empty($cell_id_matricula['posy']))
            {
                $this->Pdf->SetXY($cell_id_matricula['posx'], $cell_id_matricula['posy']);
            }
            elseif (!empty($cell_id_matricula['posx']))
            {
                $this->Pdf->SetX($cell_id_matricula['posx']);
            }
            elseif (!empty($cell_id_matricula['posy']))
            {
                $this->Pdf->SetY($cell_id_matricula['posy']);
            }
            $this->Pdf->Cell($cell_id_matricula['width'], 0, $cell_id_matricula['data'], 0, 0, $cell_id_matricula['align']);

          $this->rs_grid->MoveNext();
          $this->sc_proc_grid = false;
          $nm_quant_linhas++ ;
      }  
   }  
   $this->rs_grid->Close();
   $this->Pdf->Output($this->Ini->root . $this->Ini->nm_path_pdf);
 }
   function nm_conv_data_db($dt_in, $form_in, $form_out)
   {
       $dt_out = $dt_in;
       if (strtoupper($form_in) == "DB_FORMAT")
       {
           if ($dt_out == "null" || $dt_out == "")
           {
               $dt_out = "";
               return $dt_out;
           }
           $form_in = "AAAA-MM-DD";
       }
       if (strtoupper($form_out) == "DB_FORMAT")
       {
           if (empty($dt_out))
           {
               $dt_out = "null";
               return $dt_out;
           }
           $form_out = "AAAA-MM-DD";
       }
       nm_conv_form_data($dt_out, $form_in, $form_out);
       return $dt_out;
   }
   function nm_gera_mask(&$nm_campo, $nm_mask)
   { 
      $trab_campo = $nm_campo;
      $trab_mask  = $nm_mask;
      $tam_campo  = strlen($nm_campo);
      $trab_saida = "";
      $mask_num = false;
      for ($x=0; $x < strlen($trab_mask); $x++)
      {
          if (substr($trab_mask, $x, 1) == "#")
          {
              $mask_num = true;
              break;
          }
      }
      if ($mask_num )
      {
          $ver_duas = explode(";", $trab_mask);
          if (isset($ver_duas[1]) && !empty($ver_duas[1]))
          {
              $cont1 = count(explode("#", $ver_duas[0])) - 1;
              $cont2 = count(explode("#", $ver_duas[1])) - 1;
              if ($cont2 >= $tam_campo)
              {
                  $trab_mask = $ver_duas[1];
              }
              else
              {
                  $trab_mask = $ver_duas[0];
              }
          }
          $tam_mask = strlen($trab_mask);
          $xdados = 0;
          for ($x=0; $x < $tam_mask; $x++)
          {
              if (substr($trab_mask, $x, 1) == "#" && $xdados < $tam_campo)
              {
                  $trab_saida .= substr($trab_campo, $xdados, 1);
                  $xdados++;
              }
              elseif ($xdados < $tam_campo)
              {
                  $trab_saida .= substr($trab_mask, $x, 1);
              }
          }
          if ($xdados < $tam_campo)
          {
              $trab_saida .= substr($trab_campo, $xdados);
          }
          $nm_campo = $trab_saida;
          return;
      }
      for ($ix = strlen($trab_mask); $ix > 0; $ix--)
      {
           $char_mask = substr($trab_mask, $ix - 1, 1);
           if ($char_mask != "x" && $char_mask != "z")
           {
               $trab_saida = $char_mask . $trab_saida;
           }
           else
           {
               if ($tam_campo != 0)
               {
                   $trab_saida = substr($trab_campo, $tam_campo - 1, 1) . $trab_saida;
                   $tam_campo--;
               }
               else
               {
                   $trab_saida = "0" . $trab_saida;
               }
           }
      }
      if ($tam_campo != 0)
      {
          $trab_saida = substr($trab_campo, 0, $tam_campo) . $trab_saida;
          $trab_mask  = str_repeat("z", $tam_campo) . $trab_mask;
      }
   
      $iz = 0; 
      for ($ix = 0; $ix < strlen($trab_mask); $ix++)
      {
           $char_mask = substr($trab_mask, $ix, 1);
           if ($char_mask != "x" && $char_mask != "z")
           {
               if ($char_mask == "." || $char_mask == ",")
               {
                   $trab_saida = substr($trab_saida, 0, $iz) . substr($trab_saida, $iz + 1);
               }
               else
               {
                   $iz++;
               }
           }
           elseif ($char_mask == "x" || substr($trab_saida, $iz, 1) != "0")
           {
               $ix = strlen($trab_mask) + 1;
           }
           else
           {
               $trab_saida = substr($trab_saida, 0, $iz) . substr($trab_saida, $iz + 1);
           }
      }
      $nm_campo = $trab_saida;
   } 
}
?>
