
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_grupo' + iSeqRow).bind('blur', function() { sc_R_certificado_grupo_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_R_certificado_grupo_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_R_certificado_grupo_onfocus(this, iSeqRow) });
  $('#id_sc_field_sede' + iSeqRow).bind('blur', function() { sc_R_certificado_sede_onblur(this, iSeqRow) })
                                  .bind('change', function() { sc_R_certificado_sede_onchange(this, iSeqRow) })
                                  .bind('focus', function() { sc_R_certificado_sede_onfocus(this, iSeqRow) });
  $('#id_sc_field_jornada' + iSeqRow).bind('blur', function() { sc_R_certificado_jornada_onblur(this, iSeqRow) })
                                     .bind('change', function() { sc_R_certificado_jornada_onchange(this, iSeqRow) })
                                     .bind('focus', function() { sc_R_certificado_jornada_onfocus(this, iSeqRow) });
  $('#id_sc_field_grado' + iSeqRow).bind('blur', function() { sc_R_certificado_grado_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_R_certificado_grado_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_R_certificado_grado_onfocus(this, iSeqRow) });
  $('#id_sc_field_estudiante' + iSeqRow).bind('blur', function() { sc_R_certificado_estudiante_onblur(this, iSeqRow) })
                                        .bind('focus', function() { sc_R_certificado_estudiante_onfocus(this, iSeqRow) });
  $('#id_sc_field_periodo' + iSeqRow).bind('blur', function() { sc_R_certificado_periodo_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_R_certificado_periodo_onfocus(this, iSeqRow) });
  $('#id_sc_field_tipodoc' + iSeqRow).bind('blur', function() { sc_R_certificado_tipodoc_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_R_certificado_tipodoc_onfocus(this, iSeqRow) });
  $('#id_sc_field_proceso' + iSeqRow).bind('blur', function() { sc_R_certificado_proceso_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_R_certificado_proceso_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_R_certificado_grupo_onblur(oThis, iSeqRow) {
  do_ajax_R_certificado_validate_grupo();
  scCssBlur(oThis);
}

function sc_R_certificado_grupo_onchange(oThis, iSeqRow) {
  do_ajax_R_certificado_refresh_grupo();
}

function sc_R_certificado_grupo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_R_certificado_sede_onblur(oThis, iSeqRow) {
  do_ajax_R_certificado_validate_sede();
  scCssBlur(oThis);
}

function sc_R_certificado_sede_onchange(oThis, iSeqRow) {
  do_ajax_R_certificado_refresh_sede();
}

function sc_R_certificado_sede_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_R_certificado_jornada_onblur(oThis, iSeqRow) {
  do_ajax_R_certificado_validate_jornada();
  scCssBlur(oThis);
}

function sc_R_certificado_jornada_onchange(oThis, iSeqRow) {
  do_ajax_R_certificado_refresh_jornada();
}

function sc_R_certificado_jornada_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_R_certificado_grado_onblur(oThis, iSeqRow) {
  do_ajax_R_certificado_validate_grado();
  scCssBlur(oThis);
}

function sc_R_certificado_grado_onchange(oThis, iSeqRow) {
  do_ajax_R_certificado_refresh_grado();
}

function sc_R_certificado_grado_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_R_certificado_estudiante_onblur(oThis, iSeqRow) {
  do_ajax_R_certificado_validate_estudiante();
  scCssBlur(oThis);
}

function sc_R_certificado_estudiante_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_R_certificado_periodo_onblur(oThis, iSeqRow) {
  do_ajax_R_certificado_validate_periodo();
  scCssBlur(oThis);
}

function sc_R_certificado_periodo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_R_certificado_tipodoc_onblur(oThis, iSeqRow) {
  do_ajax_R_certificado_validate_tipodoc();
  scCssBlur(oThis);
}

function sc_R_certificado_tipodoc_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_R_certificado_proceso_onblur(oThis, iSeqRow) {
  do_ajax_R_certificado_validate_proceso();
  scCssBlur(oThis);
}

function sc_R_certificado_proceso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

