
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_codigo' + iSeqRow).bind('blur', function() { sc_form_criterios_codigo_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_criterios_codigo_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_criterios_codigo_onfocus(this, iSeqRow) });
  $('#id_sc_field_criterio' + iSeqRow).bind('blur', function() { sc_form_criterios_criterio_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_criterios_criterio_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_criterios_criterio_onfocus(this, iSeqRow) });
  $('#id_sc_field_valor' + iSeqRow).bind('blur', function() { sc_form_criterios_valor_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_criterios_valor_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_criterios_valor_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_criterios_codigo_onblur(oThis, iSeqRow) {
  do_ajax_form_criterios_validate_codigo(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_criterios_codigo_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_criterios_codigo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_criterios_criterio_onblur(oThis, iSeqRow) {
  do_ajax_form_criterios_validate_criterio(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_criterios_criterio_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_criterios_criterio_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_criterios_valor_onblur(oThis, iSeqRow) {
  do_ajax_form_criterios_validate_valor(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_criterios_valor_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_criterios_valor_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

