
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_codigo' + iSeqRow).bind('blur', function() { sc_form_cursos_codigo_onblur(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_cursos_codigo_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_jornada' + iSeqRow).bind('blur', function() { sc_form_cursos_id_jornada_onblur(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_cursos_id_jornada_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_grado' + iSeqRow).bind('blur', function() { sc_form_cursos_id_grado_onblur(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_cursos_id_grado_onfocus(this, iSeqRow) });
  $('#id_sc_field_grupo' + iSeqRow).bind('blur', function() { sc_form_cursos_grupo_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_cursos_grupo_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_sede' + iSeqRow).bind('blur', function() { sc_form_cursos_id_sede_onblur(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_cursos_id_sede_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_docente' + iSeqRow).bind('blur', function() { sc_form_cursos_id_docente_onblur(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_cursos_id_docente_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_cursos_codigo_onblur(oThis, iSeqRow) {
  do_ajax_form_cursos_validate_codigo();
  scCssBlur(oThis);
}

function sc_form_cursos_codigo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_cursos_id_jornada_onblur(oThis, iSeqRow) {
  do_ajax_form_cursos_validate_id_jornada();
  scCssBlur(oThis);
}

function sc_form_cursos_id_jornada_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_cursos_id_grado_onblur(oThis, iSeqRow) {
  do_ajax_form_cursos_validate_id_grado();
  scCssBlur(oThis);
}

function sc_form_cursos_id_grado_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_cursos_grupo_onblur(oThis, iSeqRow) {
  do_ajax_form_cursos_validate_grupo();
  scCssBlur(oThis);
}

function sc_form_cursos_grupo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_cursos_id_sede_onblur(oThis, iSeqRow) {
  do_ajax_form_cursos_validate_id_sede();
  scCssBlur(oThis);
}

function sc_form_cursos_id_sede_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_cursos_id_docente_onblur(oThis, iSeqRow) {
  do_ajax_form_cursos_validate_id_docente();
  scCssBlur(oThis);
}

function sc_form_cursos_id_docente_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

