
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_codigo' + iSeqRow).bind('blur', function() { sc_form_grados_codigo_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_grados_codigo_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_grados_codigo_onfocus(this, iSeqRow) });
  $('#id_sc_field_nombre' + iSeqRow).bind('blur', function() { sc_form_grados_nombre_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_grados_nombre_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_grados_nombre_onfocus(this, iSeqRow) });
  $('#id_sc_field_nivel' + iSeqRow).bind('blur', function() { sc_form_grados_nivel_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_grados_nivel_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_grados_nivel_onfocus(this, iSeqRow) });
  $('#id_sc_field_ciclo' + iSeqRow).bind('blur', function() { sc_form_grados_ciclo_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_grados_ciclo_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_grados_ciclo_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_grados_codigo_onblur(oThis, iSeqRow) {
  do_ajax_form_grados_validate_codigo(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_grados_codigo_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_grados_codigo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_grados_nombre_onblur(oThis, iSeqRow) {
  do_ajax_form_grados_validate_nombre(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_grados_nombre_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_grados_nombre_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_grados_nivel_onblur(oThis, iSeqRow) {
  do_ajax_form_grados_validate_nivel(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_grados_nivel_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_grados_nivel_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_grados_ciclo_onblur(oThis, iSeqRow) {
  do_ajax_form_grados_validate_ciclo(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_grados_ciclo_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_grados_ciclo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

