
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_idobservacion' + iSeqRow).bind('blur', function() { sc_form_observador_idobservacion_onblur(this, iSeqRow) })
                                           .bind('focus', function() { sc_form_observador_idobservacion_onfocus(this, iSeqRow) });
  $('#id_sc_field_idalumno' + iSeqRow).bind('blur', function() { sc_form_observador_idalumno_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_observador_idalumno_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_observador_idalumno_onfocus(this, iSeqRow) });
  $('#id_sc_field_obseervacion' + iSeqRow).bind('blur', function() { sc_form_observador_obseervacion_onblur(this, iSeqRow) })
                                          .bind('focus', function() { sc_form_observador_obseervacion_onfocus(this, iSeqRow) });
  $('#id_sc_field_idcompromiso' + iSeqRow).bind('blur', function() { sc_form_observador_idcompromiso_onblur(this, iSeqRow) })
                                          .bind('focus', function() { sc_form_observador_idcompromiso_onfocus(this, iSeqRow) });
  $('#id_sc_field_compromiso' + iSeqRow).bind('blur', function() { sc_form_observador_compromiso_onblur(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_observador_compromiso_onfocus(this, iSeqRow) });
  $('#id_sc_field_idperiodo' + iSeqRow).bind('blur', function() { sc_form_observador_idperiodo_onblur(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_observador_idperiodo_onfocus(this, iSeqRow) });
  $('#id_sc_field_estudiante' + iSeqRow).bind('blur', function() { sc_form_observador_estudiante_onblur(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_observador_estudiante_onfocus(this, iSeqRow) });
  $('#id_sc_field_grado' + iSeqRow).bind('blur', function() { sc_form_observador_grado_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_observador_grado_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_observador_grado_onfocus(this, iSeqRow) });
  $('#id_sc_field_grupo' + iSeqRow).bind('blur', function() { sc_form_observador_grupo_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_observador_grupo_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_observador_grupo_onfocus(this, iSeqRow) });
  $('#id_sc_field_jornada' + iSeqRow).bind('blur', function() { sc_form_observador_jornada_onblur(this, iSeqRow) })
                                     .bind('change', function() { sc_form_observador_jornada_onchange(this, iSeqRow) })
                                     .bind('focus', function() { sc_form_observador_jornada_onfocus(this, iSeqRow) });
  $('#id_sc_field_sede' + iSeqRow).bind('blur', function() { sc_form_observador_sede_onblur(this, iSeqRow) })
                                  .bind('change', function() { sc_form_observador_sede_onchange(this, iSeqRow) })
                                  .bind('focus', function() { sc_form_observador_sede_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_observador_idobservacion_onblur(oThis, iSeqRow) {
  do_ajax_form_observador_validate_idobservacion();
  scCssBlur(oThis);
}

function sc_form_observador_idobservacion_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_observador_idalumno_onblur(oThis, iSeqRow) {
  do_ajax_form_observador_validate_idalumno();
  scCssBlur(oThis);
}

function sc_form_observador_idalumno_onchange(oThis, iSeqRow) {
  lookup_idalumno();
}

function sc_form_observador_idalumno_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_observador_obseervacion_onblur(oThis, iSeqRow) {
  do_ajax_form_observador_validate_obseervacion();
  scCssBlur(oThis);
}

function sc_form_observador_obseervacion_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_observador_idcompromiso_onblur(oThis, iSeqRow) {
  do_ajax_form_observador_validate_idcompromiso();
  scCssBlur(oThis);
}

function sc_form_observador_idcompromiso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_observador_compromiso_onblur(oThis, iSeqRow) {
  do_ajax_form_observador_validate_compromiso();
  scCssBlur(oThis);
}

function sc_form_observador_compromiso_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_observador_idperiodo_onblur(oThis, iSeqRow) {
  do_ajax_form_observador_validate_idperiodo();
  scCssBlur(oThis);
}

function sc_form_observador_idperiodo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_observador_estudiante_onblur(oThis, iSeqRow) {
  do_ajax_form_observador_validate_estudiante();
  scCssBlur(oThis);
}

function sc_form_observador_estudiante_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_observador_grado_onblur(oThis, iSeqRow) {
  do_ajax_form_observador_validate_grado();
  scCssBlur(oThis);
}

function sc_form_observador_grado_onchange(oThis, iSeqRow) {
  do_ajax_form_observador_refresh_grado();
}

function sc_form_observador_grado_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_observador_grupo_onblur(oThis, iSeqRow) {
  do_ajax_form_observador_validate_grupo();
  scCssBlur(oThis);
}

function sc_form_observador_grupo_onchange(oThis, iSeqRow) {
  do_ajax_form_observador_refresh_grupo();
}

function sc_form_observador_grupo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_observador_jornada_onblur(oThis, iSeqRow) {
  do_ajax_form_observador_validate_jornada();
  scCssBlur(oThis);
}

function sc_form_observador_jornada_onchange(oThis, iSeqRow) {
  do_ajax_form_observador_refresh_jornada();
}

function sc_form_observador_jornada_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_observador_sede_onblur(oThis, iSeqRow) {
  do_ajax_form_observador_validate_sede();
  scCssBlur(oThis);
}

function sc_form_observador_sede_onchange(oThis, iSeqRow) {
  do_ajax_form_observador_refresh_sede();
}

function sc_form_observador_sede_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

var sc_jq_calendar_value = {};

function scJQCalendarAdd(iSeqRow) {
  $("#id_sc_field_fecha" + iSeqRow).datepicker({
    beforeShow: function(input, inst) {
      var $oField = $(this),
          aParts  = $oField.val().split(" "),
          sTime   = "";
      sc_jq_calendar_value["#id_sc_field_fecha" + iSeqRow] = $oField.val();
    },
    onClose: function(dateText, inst) {
    },
    showWeek: true,
    numberOfMonths: 1,
    changeMonth: true,
    changeYear: true,
    yearRange: 'c-5:c+5',
    dayNames: ['<?php        echo html_entity_decode($this->Ini->Nm_lang['lang_days_sund']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_mond']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_tued']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_wend']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_thud']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_frid']);        ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_days_satd']);        ?>'],
    dayNamesMin: ['<?php     echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_sund']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_mond']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_tued']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_wend']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_thud']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_frid']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_substr_days_satd']); ?>'],
    monthNamesShort: ['<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_janu']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_febr']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_marc']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_apri']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_mayy']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_june']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_july']);   ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_augu']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_sept']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_octo']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_nove']); ?>','<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_mnth_dece']); ?>'],
    weekHeader: "<?php echo html_entity_decode($this->Ini->Nm_lang['lang_shrt_days_sem']); ?>",
    firstDay: <?php echo $this->jqueryCalendarWeekInit("" . $_SESSION['scriptcase']['reg_conf']['date_week_ini'] . ""); ?>,
    dateFormat: "<?php echo $this->jqueryCalendarDtFormat("" . str_replace(array('/', 'aaaa', $_SESSION['scriptcase']['reg_conf']['date_sep']), array('', 'yyyy', ''), $this->field_config['fecha']['date_format']) . "", "" . $_SESSION['scriptcase']['reg_conf']['date_sep'] . ""); ?>",
    showOtherMonths: true,
    showOn: "button",
    buttonImage: "<?php echo $this->jqueryIconFile('calendar'); ?>",
    buttonImageOnly: true
  });

} // scJQCalendarAdd


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
  scJQCalendarAdd(iLine);
} // scJQElementsAdd

