
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_descripcion' + iSeqRow).bind('blur', function() { sc_form_periodos_descripcion_onblur(this, iSeqRow) })
                                         .bind('change', function() { sc_form_periodos_descripcion_onchange(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_periodos_descripcion_onfocus(this, iSeqRow) });
  $('#id_sc_field_estado' + iSeqRow).bind('blur', function() { sc_form_periodos_estado_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_periodos_estado_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_periodos_estado_onfocus(this, iSeqRow) });
  $('#id_sc_field_idfase' + iSeqRow).bind('blur', function() { sc_form_periodos_idfase_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_periodos_idfase_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_periodos_idfase_onfocus(this, iSeqRow) });
  $('#id_sc_field_digitador' + iSeqRow).bind('blur', function() { sc_form_periodos_digitador_onblur(this, iSeqRow) })
                                       .bind('change', function() { sc_form_periodos_digitador_onchange(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_periodos_digitador_onfocus(this, iSeqRow) });
  $('#id_sc_field_estudiantes' + iSeqRow).bind('blur', function() { sc_form_periodos_estudiantes_onblur(this, iSeqRow) })
                                         .bind('change', function() { sc_form_periodos_estudiantes_onchange(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_periodos_estudiantes_onfocus(this, iSeqRow) });
  $('#id_sc_field_nperiodo' + iSeqRow).bind('blur', function() { sc_form_periodos_nperiodo_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_periodos_nperiodo_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_periodos_nperiodo_onfocus(this, iSeqRow) });
  $('#id_sc_field_recupera' + iSeqRow).bind('blur', function() { sc_form_periodos_recupera_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_periodos_recupera_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_periodos_recupera_onfocus(this, iSeqRow) });
  $('#id_sc_field_clase' + iSeqRow).bind('blur', function() { sc_form_periodos_clase_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_periodos_clase_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_periodos_clase_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_periodos_descripcion_onblur(oThis, iSeqRow) {
  do_ajax_form_periodos_validate_descripcion(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_periodos_descripcion_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_periodos_descripcion_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_periodos_estado_onblur(oThis, iSeqRow) {
  do_ajax_form_periodos_validate_estado(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_periodos_estado_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_periodos_estado_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_periodos_idfase_onblur(oThis, iSeqRow) {
  do_ajax_form_periodos_validate_idfase(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_periodos_idfase_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_periodos_idfase_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_periodos_digitador_onblur(oThis, iSeqRow) {
  do_ajax_form_periodos_validate_digitador(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_periodos_digitador_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_periodos_digitador_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_periodos_estudiantes_onblur(oThis, iSeqRow) {
  do_ajax_form_periodos_validate_estudiantes(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_periodos_estudiantes_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_periodos_estudiantes_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_periodos_nperiodo_onblur(oThis, iSeqRow) {
  do_ajax_form_periodos_validate_nperiodo(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_periodos_nperiodo_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_periodos_nperiodo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_periodos_recupera_onblur(oThis, iSeqRow) {
  do_ajax_form_periodos_validate_recupera(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_periodos_recupera_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_periodos_recupera_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_periodos_clase_onblur(oThis, iSeqRow) {
  do_ajax_form_periodos_validate_clase(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_periodos_clase_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_periodos_clase_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

