
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_codigo' + iSeqRow).bind('blur', function() { sc_form_sedes_codigo_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_sedes_codigo_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_sedes_codigo_onfocus(this, iSeqRow) });
  $('#id_sc_field_nombre' + iSeqRow).bind('blur', function() { sc_form_sedes_nombre_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_sedes_nombre_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_sedes_nombre_onfocus(this, iSeqRow) });
  $('#id_sc_field_dane' + iSeqRow).bind('blur', function() { sc_form_sedes_dane_onblur(this, iSeqRow) })
                                  .bind('change', function() { sc_form_sedes_dane_onchange(this, iSeqRow) })
                                  .bind('focus', function() { sc_form_sedes_dane_onfocus(this, iSeqRow) });
  $('#id_sc_field_ciudad' + iSeqRow).bind('blur', function() { sc_form_sedes_ciudad_onblur(this, iSeqRow) })
                                    .bind('change', function() { sc_form_sedes_ciudad_onchange(this, iSeqRow) })
                                    .bind('focus', function() { sc_form_sedes_ciudad_onfocus(this, iSeqRow) });
  $('#id_sc_field_direccion' + iSeqRow).bind('blur', function() { sc_form_sedes_direccion_onblur(this, iSeqRow) })
                                       .bind('change', function() { sc_form_sedes_direccion_onchange(this, iSeqRow) })
                                       .bind('focus', function() { sc_form_sedes_direccion_onfocus(this, iSeqRow) });
  $('#id_sc_field_telefono' + iSeqRow).bind('blur', function() { sc_form_sedes_telefono_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_sedes_telefono_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_sedes_telefono_onfocus(this, iSeqRow) });
  $('#id_sc_field_zona' + iSeqRow).bind('blur', function() { sc_form_sedes_zona_onblur(this, iSeqRow) })
                                  .bind('change', function() { sc_form_sedes_zona_onchange(this, iSeqRow) })
                                  .bind('focus', function() { sc_form_sedes_zona_onfocus(this, iSeqRow) });
  $('#id_sc_field_fax' + iSeqRow).bind('blur', function() { sc_form_sedes_fax_onblur(this, iSeqRow) })
                                 .bind('change', function() { sc_form_sedes_fax_onchange(this, iSeqRow) })
                                 .bind('focus', function() { sc_form_sedes_fax_onfocus(this, iSeqRow) });
  $('#id_sc_field_email' + iSeqRow).bind('blur', function() { sc_form_sedes_email_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_sedes_email_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_sedes_email_onfocus(this, iSeqRow) });
  $('#id_sc_field_coordinador' + iSeqRow).bind('blur', function() { sc_form_sedes_coordinador_onblur(this, iSeqRow) })
                                         .bind('change', function() { sc_form_sedes_coordinador_onchange(this, iSeqRow) })
                                         .bind('focus', function() { sc_form_sedes_coordinador_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_colegio' + iSeqRow).bind('blur', function() { sc_form_sedes_id_colegio_onblur(this, iSeqRow) })
                                        .bind('change', function() { sc_form_sedes_id_colegio_onchange(this, iSeqRow) })
                                        .bind('focus', function() { sc_form_sedes_id_colegio_onfocus(this, iSeqRow) });
  $('#id_sc_field_deportes' + iSeqRow).bind('blur', function() { sc_form_sedes_deportes_onblur(this, iSeqRow) })
                                      .bind('change', function() { sc_form_sedes_deportes_onchange(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_sedes_deportes_onfocus(this, iSeqRow) });
  $('#id_sc_field_sigla' + iSeqRow).bind('blur', function() { sc_form_sedes_sigla_onblur(this, iSeqRow) })
                                   .bind('change', function() { sc_form_sedes_sigla_onchange(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_sedes_sigla_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_sedes_codigo_onblur(oThis, iSeqRow) {
  do_ajax_form_sedes_validate_codigo(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_sedes_codigo_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_sedes_codigo_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_sedes_nombre_onblur(oThis, iSeqRow) {
  do_ajax_form_sedes_validate_nombre(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_sedes_nombre_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_sedes_nombre_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_sedes_dane_onblur(oThis, iSeqRow) {
  do_ajax_form_sedes_validate_dane(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_sedes_dane_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_sedes_dane_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_sedes_ciudad_onblur(oThis, iSeqRow) {
  do_ajax_form_sedes_validate_ciudad(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_sedes_ciudad_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_sedes_ciudad_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_sedes_direccion_onblur(oThis, iSeqRow) {
  do_ajax_form_sedes_validate_direccion(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_sedes_direccion_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_sedes_direccion_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_sedes_telefono_onblur(oThis, iSeqRow) {
  do_ajax_form_sedes_validate_telefono(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_sedes_telefono_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_sedes_telefono_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_sedes_zona_onblur(oThis, iSeqRow) {
  do_ajax_form_sedes_validate_zona(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_sedes_zona_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_sedes_zona_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_sedes_fax_onblur(oThis, iSeqRow) {
  do_ajax_form_sedes_validate_fax(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_sedes_fax_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_sedes_fax_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_sedes_email_onblur(oThis, iSeqRow) {
  do_ajax_form_sedes_validate_email(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_sedes_email_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_sedes_email_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_sedes_coordinador_onblur(oThis, iSeqRow) {
  do_ajax_form_sedes_validate_coordinador(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_sedes_coordinador_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_sedes_coordinador_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_sedes_id_colegio_onblur(oThis, iSeqRow) {
  do_ajax_form_sedes_validate_id_colegio(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_sedes_id_colegio_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_sedes_id_colegio_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_sedes_deportes_onblur(oThis, iSeqRow) {
  do_ajax_form_sedes_validate_deportes(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_sedes_deportes_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_sedes_deportes_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}

function sc_form_sedes_sigla_onblur(oThis, iSeqRow) {
  do_ajax_form_sedes_validate_sigla(iSeqRow);
  scCssBlur(oThis, iSeqRow);
}

function sc_form_sedes_sigla_onchange(oThis, iSeqRow) {
  nm_check_insert(iSeqRow);
}

function sc_form_sedes_sigla_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis, iSeqRow);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

