
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_login' + iSeqRow).bind('blur', function() { sc_form_tb_users_login_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_tb_users_login_onfocus(this, iSeqRow) });
  $('#id_sc_field_password' + iSeqRow).bind('blur', function() { sc_form_tb_users_password_onblur(this, iSeqRow) })
                                      .bind('focus', function() { sc_form_tb_users_password_onfocus(this, iSeqRow) });
  $('#id_sc_field_name' + iSeqRow).bind('blur', function() { sc_form_tb_users_name_onblur(this, iSeqRow) })
                                  .bind('focus', function() { sc_form_tb_users_name_onfocus(this, iSeqRow) });
  $('#id_sc_field_email' + iSeqRow).bind('blur', function() { sc_form_tb_users_email_onblur(this, iSeqRow) })
                                   .bind('focus', function() { sc_form_tb_users_email_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_tabla_docente' + iSeqRow).bind('blur', function() { sc_form_tb_users_id_tabla_docente_onblur(this, iSeqRow) })
                                              .bind('focus', function() { sc_form_tb_users_id_tabla_docente_onfocus(this, iSeqRow) });
  $('#id_sc_field_id_tabla_alumno' + iSeqRow).bind('blur', function() { sc_form_tb_users_id_tabla_alumno_onblur(this, iSeqRow) })
                                             .bind('focus', function() { sc_form_tb_users_id_tabla_alumno_onfocus(this, iSeqRow) });
  $('#id_sc_field_cmp_sm_link_tab' + iSeqRow).bind('blur', function() { sc_form_tb_users_cmp_sm_link_tab_onblur(this, iSeqRow) })
                                             .bind('focus', function() { sc_form_tb_users_cmp_sm_link_tab_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_form_tb_users_login_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_users_validate_login();
  scCssBlur(oThis);
}

function sc_form_tb_users_login_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_users_password_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_users_validate_password();
  scCssBlur(oThis);
}

function sc_form_tb_users_password_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_users_name_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_users_validate_name();
  scCssBlur(oThis);
}

function sc_form_tb_users_name_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_users_email_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_users_validate_email();
  scCssBlur(oThis);
}

function sc_form_tb_users_email_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_users_id_tabla_docente_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_users_validate_id_tabla_docente();
  scCssBlur(oThis);
}

function sc_form_tb_users_id_tabla_docente_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_users_id_tabla_alumno_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_users_validate_id_tabla_alumno();
  scCssBlur(oThis);
}

function sc_form_tb_users_id_tabla_alumno_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_form_tb_users_cmp_sm_link_tab_onblur(oThis, iSeqRow) {
  do_ajax_form_tb_users_validate_cmp_sm_link_tab();
  scCssBlur(oThis);
}

function sc_form_tb_users_cmp_sm_link_tab_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

