
function scJQGeneralAdd() {
  $('input:text.sc-js-input').listen();
  $('input:password.sc-js-input').listen();
  $('textarea.sc-js-input').listen();

} // scJQGeneralAdd

function scFocusField(sField) {
  var $oField = $('#id_sc_field_' + sField);

  if (0 == $oField.length) {
    $oField = $('input[name=' + sField + ']');
  }

  if (0 == $oField.length && document.F1.elements[sField]) {
    $oField = $(document.F1.elements[sField]);
  }

  if (0 < $oField.length && 0 < $oField[0].offsetHeight && 0 < $oField[0].offsetWidth && !$oField[0].disabled) {
    $oField[0].focus();
  }
} // scFocusField

function scJQEventsAdd(iSeqRow) {
  $('#id_sc_field_subscribers' + iSeqRow).bind('blur', function() { sc_star_digitador_subscribers_onblur(this, iSeqRow) })
                                         .bind('focus', function() { sc_star_digitador_subscribers_onfocus(this, iSeqRow) });
  $('#id_sc_field_staff_only' + iSeqRow).bind('blur', function() { sc_star_digitador_staff_only_onblur(this, iSeqRow) })
                                        .bind('focus', function() { sc_star_digitador_staff_only_onfocus(this, iSeqRow) });
  $('#id_sc_field_fld_message' + iSeqRow).bind('blur', function() { sc_star_digitador_fld_message_onblur(this, iSeqRow) })
                                         .bind('focus', function() { sc_star_digitador_fld_message_onfocus(this, iSeqRow) });
  $('#id_sc_field_open_ticket' + iSeqRow).bind('blur', function() { sc_star_digitador_open_ticket_onblur(this, iSeqRow) })
                                         .bind('focus', function() { sc_star_digitador_open_ticket_onfocus(this, iSeqRow) });
} // scJQEventsAdd

function sc_star_digitador_subscribers_onblur(oThis, iSeqRow) {
  do_ajax_star_digitador_validate_subscribers();
  scCssBlur(oThis);
}

function sc_star_digitador_subscribers_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_star_digitador_staff_only_onblur(oThis, iSeqRow) {
  do_ajax_star_digitador_validate_staff_only();
  scCssBlur(oThis);
}

function sc_star_digitador_staff_only_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_star_digitador_fld_message_onblur(oThis, iSeqRow) {
  do_ajax_star_digitador_validate_fld_message();
  scCssBlur(oThis);
}

function sc_star_digitador_fld_message_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}

function sc_star_digitador_open_ticket_onblur(oThis, iSeqRow) {
  do_ajax_star_digitador_validate_open_ticket();
  scCssBlur(oThis);
}

function sc_star_digitador_open_ticket_onfocus(oThis, iSeqRow) {
  scCssFocus(oThis);
}


function scJQElementsAdd(iLine) {
  scJQEventsAdd(iLine);
} // scJQElementsAdd

